package org.isda.cdm;


/**
 * Enumeration for the different types of affirmation status.
 * 
 * @version 2.5.4
 */
public enum AffirmationStatusEnum {
    

	AFFIRMED,
	    

	UNAFFIRMED    
	;

	private final String displayName;
	
	AffirmationStatusEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
