package org.isda.cdm;



import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.BasketMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;


/**
 * @version 2.5.4
 */
@RosettaClass

@RosettaSynonym(value="Basket", source="FpML_5_10")
public class Basket extends RosettaModelObject {
	private static BasketMeta metaData = new BasketMeta();
	
	Basket(BasketBuilder builder) {
	}
	
	
	@Override
	public RosettaMetaData<? extends Basket> metaData() {
		return metaData;
	} 
	
	public BasketBuilder toBuilder() {
		BasketBuilder builder = new BasketBuilder();
		return builder;
	}

	public static BasketBuilder builder() {
		return new BasketBuilder();
	}

	public static  class BasketBuilder extends RosettaModelObjectBuilder {
	
	
		public BasketBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends Basket> metaData() {
			return metaData;
		} 
	
	
		
		public Basket build() {
			return new Basket(this);
		}
	
		@Override
		public BasketBuilder prune() {
			return this;
		}
		
		@Override
		public boolean hasData() {
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			BasketBuilder _that = (BasketBuilder) o;
		
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			return _result;
		}
		
		@Override
		public String toString() {
			return "BasketBuilder {" +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		Basket _that = (Basket) o;
	
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		return _result;
	}
	
	@Override
	public String toString() {
		return "Basket {" +
		'}';
	}
}
