package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import java.math.BigDecimal;


@ImplementedBy(AbsImpl.class)
public abstract class Abs implements RosettaFunction {

	/**
	* @param x 
	* @return result 
	*/
	public BigDecimal evaluate(BigDecimal x) {
		
		BigDecimal result = doEvaluate(x);
		
		return result;
	}
	
	protected abstract BigDecimal doEvaluate(BigDecimal x);
}
