package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.AccountTypeEnum;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Account.class)
public class AccountMeta implements RosettaMetaData<Account> {

	@Override
	public List<Validator<? super Account>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Account>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Account, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Account> validator() {
		return new org.isda.cdm.validation.AccountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Account, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AccountOnlyExistsValidator();
	}
}
