package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalFixedPayments;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalFixedPayments.class)
public class AdditionalFixedPaymentsMeta implements RosettaMetaData<AdditionalFixedPayments> {

	@Override
	public List<Validator<? super AdditionalFixedPayments>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdditionalFixedPayments>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalFixedPayments, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalFixedPayments> validator() {
		return new org.isda.cdm.validation.AdditionalFixedPaymentsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalFixedPayments, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalFixedPaymentsOnlyExistsValidator();
	}
}
