package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRepresentation;
import org.isda.cdm.AdditionalRepresentationElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalRepresentation.class)
public class AdditionalRepresentationMeta implements RosettaMetaData<AdditionalRepresentation> {

	@Override
	public List<Validator<? super AdditionalRepresentation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdditionalRepresentation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalRepresentation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalRepresentation> validator() {
		return new org.isda.cdm.validation.AdditionalRepresentationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalRepresentation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalRepresentationOnlyExistsValidator();
	}
}
