package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.time.ZonedDateTime;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AggregationParameters;
import org.isda.cdm.Contract;
import org.isda.cdm.Execution;
import org.isda.cdm.Party;
import org.isda.cdm.PositionStatusEnum;
import org.isda.cdm.Product;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AggregationParameters.class)
public class AggregationParametersMeta implements RosettaMetaData<AggregationParameters> {

	@Override
	public List<Validator<? super AggregationParameters>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AggregationParameters>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AggregationParameters, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AggregationParameters> validator() {
		return new org.isda.cdm.validation.AggregationParametersValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AggregationParameters, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AggregationParametersOnlyExistsValidator();
	}
}
