package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.AdjustableOrRelativeDates;
import org.isda.cdm.AmericanExercise;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.ExerciseFeeSchedule;
import org.isda.cdm.MultipleExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AmericanExercise.class)
public class AmericanExerciseMeta implements RosettaMetaData<AmericanExercise> {

	@Override
	public List<Validator<? super AmericanExercise>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AmericanExercise>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AmericanExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AmericanExercise> validator() {
		return new org.isda.cdm.validation.AmericanExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AmericanExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AmericanExerciseOnlyExistsValidator();
	}
}
