package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmountSchedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AmountSchedule.class)
public class AmountScheduleMeta implements RosettaMetaData<AmountSchedule> {

	@Override
	public List<Validator<? super AmountSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AmountSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AmountSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AmountSchedule> validator() {
		return new org.isda.cdm.validation.AmountScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AmountSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AmountScheduleOnlyExistsValidator();
	}
}
