package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssignedIdentifier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AssignedIdentifier.class)
public class AssignedIdentifierMeta implements RosettaMetaData<AssignedIdentifier> {

	@Override
	public List<Validator<? super AssignedIdentifier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AssignedIdentifier>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AssignedIdentifier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AssignedIdentifier> validator() {
		return new org.isda.cdm.validation.AssignedIdentifierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AssignedIdentifier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AssignedIdentifierOnlyExistsValidator();
	}
}
