package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AutomaticExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AutomaticExercise.class)
public class AutomaticExerciseMeta implements RosettaMetaData<AutomaticExercise> {

	@Override
	public List<Validator<? super AutomaticExercise>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AutomaticExercise>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AutomaticExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AutomaticExercise> validator() {
		return new org.isda.cdm.validation.AutomaticExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AutomaticExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AutomaticExerciseOnlyExistsValidator();
	}
}
