package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Basket;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Basket.class)
public class BasketMeta implements RosettaMetaData<Basket> {

	@Override
	public List<Validator<? super Basket>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Basket>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Basket, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Basket> validator() {
		return new org.isda.cdm.validation.BasketValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Basket, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BasketOnlyExistsValidator();
	}
}
