package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondPriceAndYieldModel;
import org.isda.cdm.CleanOrDirtyPrice;
import org.isda.cdm.RelativePrice;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BondPriceAndYieldModel.class)
public class BondPriceAndYieldModelMeta implements RosettaMetaData<BondPriceAndYieldModel> {

	@Override
	public List<Validator<? super BondPriceAndYieldModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BondPriceAndYieldModel>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BondPriceAndYieldModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BondPriceAndYieldModel> validator() {
		return new org.isda.cdm.validation.BondPriceAndYieldModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BondPriceAndYieldModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BondPriceAndYieldModelOnlyExistsValidator();
	}
}
