package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondReference;
import org.isda.cdm.ProductIdentifier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BondReference.class)
public class BondReferenceMeta implements RosettaMetaData<BondReference> {

	@Override
	public List<Validator<? super BondReference>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BondReference>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BondReference, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BondReference> validator() {
		return new org.isda.cdm.validation.BondReferenceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BondReference, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BondReferenceOnlyExistsValidator();
	}
}
