package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondPriceAndYieldModel;
import org.isda.cdm.BondValuationModel;
import org.isda.cdm.Money;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BondValuationModel.class)
public class BondValuationModelMeta implements RosettaMetaData<BondValuationModel> {

	@Override
	public List<Validator<? super BondValuationModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BondValuationModel>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BondValuationModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BondValuationModel> validator() {
		return new org.isda.cdm.validation.BondValuationModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BondValuationModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BondValuationModelOnlyExistsValidator();
	}
}
