package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.time.LocalTime;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterEnum;
import org.isda.cdm.BusinessCenterTime;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BusinessCenterTime.class)
public class BusinessCenterTimeMeta implements RosettaMetaData<BusinessCenterTime> {

	@Override
	public List<Validator<? super BusinessCenterTime>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BusinessCenterTime>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BusinessCenterTime, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BusinessCenterTime> validator() {
		return new org.isda.cdm.validation.BusinessCenterTimeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BusinessCenterTime, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BusinessCenterTimeOnlyExistsValidator();
	}
}
