package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenters;
import org.isda.cdm.BusinessDayAdjustments;
import org.isda.cdm.BusinessDayConventionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BusinessDayAdjustments.class)
public class BusinessDayAdjustmentsMeta implements RosettaMetaData<BusinessDayAdjustments> {

	@Override
	public List<Validator<? super BusinessDayAdjustments>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BusinessDayAdjustments>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BusinessDayAdjustments, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BusinessDayAdjustments> validator() {
		return new org.isda.cdm.validation.BusinessDayAdjustmentsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BusinessDayAdjustments, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BusinessDayAdjustmentsOnlyExistsValidator();
	}
}
