package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AcctOwnr;
import org.isda.cdm.Buyr;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Buyr.class)
public class BuyrMeta implements RosettaMetaData<Buyr> {

	@Override
	public List<Validator<? super Buyr>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Buyr>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Buyr, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Buyr> validator() {
		return new org.isda.cdm.validation.BuyrValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Buyr, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BuyrOnlyExistsValidator();
	}
}
