package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationCurrencyElection;
import org.isda.cdm.SimmCalculationCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationCurrencyElection.class)
public class CalculationCurrencyElectionMeta implements RosettaMetaData<CalculationCurrencyElection> {

	@Override
	public List<Validator<? super CalculationCurrencyElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationCurrencyElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationCurrencyElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationCurrencyElection> validator() {
		return new org.isda.cdm.validation.CalculationCurrencyElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationCurrencyElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationCurrencyElectionOnlyExistsValidator();
	}
}
