package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CancelableProvisionAdjustedDates;
import org.isda.cdm.CancellationEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CancelableProvisionAdjustedDates.class)
public class CancelableProvisionAdjustedDatesMeta implements RosettaMetaData<CancelableProvisionAdjustedDates> {

	@Override
	public List<Validator<? super CancelableProvisionAdjustedDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CancelableProvisionAdjustedDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CancelableProvisionAdjustedDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CancelableProvisionAdjustedDates> validator() {
		return new org.isda.cdm.validation.CancelableProvisionAdjustedDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CancelableProvisionAdjustedDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CancelableProvisionAdjustedDatesOnlyExistsValidator();
	}
}
