package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CancellationEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CancellationEvent.class)
public class CancellationEventMeta implements RosettaMetaData<CancellationEvent> {

	@Override
	public List<Validator<? super CancellationEvent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CancellationEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CancellationEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CancellationEvent> validator() {
		return new org.isda.cdm.validation.CancellationEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CancellationEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CancellationEventOnlyExistsValidator();
	}
}
