package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashTransferBreakdown;
import org.isda.cdm.CashflowTypeEnum;
import org.isda.cdm.Money;
import org.isda.cdm.PayerReceiver;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CashTransferBreakdown.class)
public class CashTransferBreakdownMeta implements RosettaMetaData<CashTransferBreakdown> {

	@Override
	public List<Validator<? super CashTransferBreakdown>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CashTransferBreakdown>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CashTransferBreakdown, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CashTransferBreakdown> validator() {
		return new org.isda.cdm.validation.CashTransferBreakdownValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CashTransferBreakdown, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CashTransferBreakdownOnlyExistsValidator();
	}
}
