package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashTransferBreakdown;
import org.isda.cdm.CashTransferComponent;
import org.isda.cdm.CashflowTypeEnum;
import org.isda.cdm.Money;
import org.isda.cdm.PayerReceiver;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CashTransferComponent.class)
public class CashTransferComponentMeta implements RosettaMetaData<CashTransferComponent> {

	@Override
	public List<Validator<? super CashTransferComponent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CashTransferComponent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CashTransferComponent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CashTransferComponent> validator() {
		return new org.isda.cdm.validation.CashTransferComponentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CashTransferComponent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CashTransferComponentOnlyExistsValidator();
	}
}
