package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ClosedState;
import org.isda.cdm.ClosedStateEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ClosedState.class)
public class ClosedStateMeta implements RosettaMetaData<ClosedState> {

	@Override
	public List<Validator<? super ClosedState>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ClosedState>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ClosedState, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ClosedState> validator() {
		return new org.isda.cdm.validation.ClosedStateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ClosedState, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ClosedStateOnlyExistsValidator();
	}
}
