package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralManagementAgreementElection;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralManagementAgreementElection.class)
public class CollateralManagementAgreementElectionMeta implements RosettaMetaData<CollateralManagementAgreementElection> {

	@Override
	public List<Validator<? super CollateralManagementAgreementElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralManagementAgreementElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralManagementAgreementElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralManagementAgreementElection> validator() {
		return new org.isda.cdm.validation.CollateralManagementAgreementElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralManagementAgreementElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralManagementAgreementElectionOnlyExistsValidator();
	}
}
