package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralManagementAgreement;
import org.isda.cdm.CollateralManagementAgreementElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralManagementAgreement.class)
public class CollateralManagementAgreementMeta implements RosettaMetaData<CollateralManagementAgreement> {

	@Override
	public List<Validator<? super CollateralManagementAgreement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralManagementAgreement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralManagementAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralManagementAgreement> validator() {
		return new org.isda.cdm.validation.CollateralManagementAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralManagementAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralManagementAgreementOnlyExistsValidator();
	}
}
