package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralManagementArrangementElection;
import org.isda.cdm.CustodianRisk;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralManagementArrangementElection.class)
public class CollateralManagementArrangementElectionMeta implements RosettaMetaData<CollateralManagementArrangementElection> {

	@Override
	public List<Validator<? super CollateralManagementArrangementElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralManagementArrangementElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralManagementArrangementElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralManagementArrangementElection> validator() {
		return new org.isda.cdm.validation.CollateralManagementArrangementElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralManagementArrangementElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralManagementArrangementElectionOnlyExistsValidator();
	}
}
