package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralManagerElection;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralManagerElection.class)
public class CollateralManagerElectionMeta implements RosettaMetaData<CollateralManagerElection> {

	@Override
	public List<Validator<? super CollateralManagerElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralManagerElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralManagerElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralManagerElection> validator() {
		return new org.isda.cdm.validation.CollateralManagerElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralManagerElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralManagerElectionOnlyExistsValidator();
	}
}
