package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Collateral;
import org.isda.cdm.IndependentAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Collateral.class)
public class CollateralMeta implements RosettaMetaData<Collateral> {

	@Override
	public List<Validator<? super Collateral>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Collateral>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Collateral, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Collateral> validator() {
		return new org.isda.cdm.validation.CollateralValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Collateral, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralOnlyExistsValidator();
	}
}
