package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssetTransferTypeEnum;
import org.isda.cdm.Commodity;
import org.isda.cdm.CommodityTransferBreakdown;
import org.isda.cdm.CommodityTransferComponent;
import org.isda.cdm.TimeUnitEnum;
import org.isda.cdm.TransferorTransferee;
import org.isda.cdm.UnitEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CommodityTransferComponent.class)
public class CommodityTransferComponentMeta implements RosettaMetaData<CommodityTransferComponent> {

	@Override
	public List<Validator<? super CommodityTransferComponent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CommodityTransferComponent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CommodityTransferComponent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CommodityTransferComponent> validator() {
		return new org.isda.cdm.validation.CommodityTransferComponentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CommodityTransferComponent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CommodityTransferComponentOnlyExistsValidator();
	}
}
