package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ComputedAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ComputedAmount.class)
public class ComputedAmountMeta implements RosettaMetaData<ComputedAmount> {

	@Override
	public List<Validator<? super ComputedAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ComputedAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ComputedAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ComputedAmount> validator() {
		return new org.isda.cdm.validation.ComputedAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ComputedAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ComputedAmountOnlyExistsValidator();
	}
}
