package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ConditionsElections;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ConditionsElections.class)
public class ConditionsElectionsMeta implements RosettaMetaData<ConditionsElections> {

	@Override
	public List<Validator<? super ConditionsElections>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ConditionsElections>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ConditionsElections, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ConditionsElections> validator() {
		return new org.isda.cdm.validation.ConditionsElectionsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ConditionsElections, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ConditionsElectionsOnlyExistsValidator();
	}
}
