package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Conditions;
import org.isda.cdm.ConditionsPrecedent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ConditionsPrecedent.class)
public class ConditionsPrecedentMeta implements RosettaMetaData<ConditionsPrecedent> {

	@Override
	public List<Validator<? super ConditionsPrecedent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ConditionsPrecedent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ConditionsPrecedent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ConditionsPrecedent> validator() {
		return new org.isda.cdm.validation.ConditionsPrecedentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ConditionsPrecedent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ConditionsPrecedentOnlyExistsValidator();
	}
}
