package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractFormation;
import org.isda.cdm.ExecutionState;
import org.isda.cdm.PostInceptionState;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContractFormation.class)
public class ContractFormationMeta implements RosettaMetaData<ContractFormation> {

	@Override
	public List<Validator<? super ContractFormation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContractFormation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContractFormation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContractFormation> validator() {
		return new org.isda.cdm.validation.ContractFormationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContractFormation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContractFormationOnlyExistsValidator();
	}
}
