package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Contract;
import org.isda.cdm.ContractState;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContractState.class)
public class ContractStateMeta implements RosettaMetaData<ContractState> {

	@Override
	public List<Validator<? super ContractState>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContractState>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContractState, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContractState> validator() {
		return new org.isda.cdm.validation.ContractStateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContractState, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContractStateOnlyExistsValidator();
	}
}
