package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractualProduct;
import org.isda.cdm.EconomicTerms;
import org.isda.cdm.ProductIdentification;
import org.isda.cdm.ProductTaxonomy;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContractualProduct.class)
public class ContractualProductMeta implements RosettaMetaData<ContractualProduct> {

	@Override
	public List<Validator<? super ContractualProduct>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContractualProduct>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContractualProduct, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContractualProduct> validator() {
		return new org.isda.cdm.validation.ContractualProductValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContractualProduct, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContractualProductOnlyExistsValidator();
	}
}
