package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractualSupplementEnum;
import org.isda.cdm.ContractualTermsSupplement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContractualTermsSupplement.class)
public class ContractualTermsSupplementMeta implements RosettaMetaData<ContractualTermsSupplement> {

	@Override
	public List<Validator<? super ContractualTermsSupplement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContractualTermsSupplement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContractualTermsSupplement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContractualTermsSupplement> validator() {
		return new org.isda.cdm.validation.ContractualTermsSupplementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContractualTermsSupplement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContractualTermsSupplementOnlyExistsValidator();
	}
}
