package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditEventNotice;
import org.isda.cdm.CreditEvents;
import org.isda.cdm.FailureToPay;
import org.isda.cdm.Money;
import org.isda.cdm.Restructuring;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditEvents.class)
public class CreditEventsMeta implements RosettaMetaData<CreditEvents> {

	@Override
	public List<Validator<? super CreditEvents>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditEvents>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditEvents, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditEvents> validator() {
		return new org.isda.cdm.validation.CreditEventsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditEvents, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditEventsOnlyExistsValidator();
	}
}
