package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditLimitInformation;
import org.isda.cdm.LimitApplicableExtended;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditLimitInformation.class)
public class CreditLimitInformationMeta implements RosettaMetaData<CreditLimitInformation> {

	@Override
	public List<Validator<? super CreditLimitInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditLimitInformation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditLimitInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditLimitInformation> validator() {
		return new org.isda.cdm.validation.CreditLimitInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditLimitInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditLimitInformationOnlyExistsValidator();
	}
}
