package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.CreditLimit;
import org.isda.cdm.LimitApplicable;
import org.isda.cdm.Period;
import org.isda.cdm.ProductIdentification;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditLimit.class)
public class CreditLimitMeta implements RosettaMetaData<CreditLimit> {

	@Override
	public List<Validator<? super CreditLimit>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditLimit>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditLimit, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditLimit> validator() {
		return new org.isda.cdm.validation.CreditLimitValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditLimit, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditLimitOnlyExistsValidator();
	}
}
