package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditLimitUtilisation;
import org.isda.cdm.CreditLimitUtilisationPosition;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditLimitUtilisation.class)
public class CreditLimitUtilisationMeta implements RosettaMetaData<CreditLimitUtilisation> {

	@Override
	public List<Validator<? super CreditLimitUtilisation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditLimitUtilisation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditLimitUtilisation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditLimitUtilisation> validator() {
		return new org.isda.cdm.validation.CreditLimitUtilisationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditLimitUtilisation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditLimitUtilisationOnlyExistsValidator();
	}
}
