package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditSupportAgreement;
import org.isda.cdm.CreditSupportAgreementTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditSupportAgreement.class)
public class CreditSupportAgreementMeta implements RosettaMetaData<CreditSupportAgreement> {

	@Override
	public List<Validator<? super CreditSupportAgreement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditSupportAgreement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditSupportAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditSupportAgreement> validator() {
		return new org.isda.cdm.validation.CreditSupportAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditSupportAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditSupportAgreementOnlyExistsValidator();
	}
}
