package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralRounding;
import org.isda.cdm.CreditSupportObligationsInitialMargin;
import org.isda.cdm.MinimumTransferAmount;
import org.isda.cdm.Threshold;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditSupportObligationsInitialMargin.class)
public class CreditSupportObligationsInitialMarginMeta implements RosettaMetaData<CreditSupportObligationsInitialMargin> {

	@Override
	public List<Validator<? super CreditSupportObligationsInitialMargin>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditSupportObligationsInitialMargin>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditSupportObligationsInitialMargin, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditSupportObligationsInitialMargin> validator() {
		return new org.isda.cdm.validation.CreditSupportObligationsInitialMarginValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditSupportObligationsInitialMargin, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditSupportObligationsInitialMarginOnlyExistsValidator();
	}
}
