package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashSettlementReferenceBanks;
import org.isda.cdm.CrossCurrencyMethod;
import org.isda.cdm.QuotationRateTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CrossCurrencyMethod.class)
public class CrossCurrencyMethodMeta implements RosettaMetaData<CrossCurrencyMethod> {

	@Override
	public List<Validator<? super CrossCurrencyMethod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CrossCurrencyMethod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CrossCurrencyMethod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CrossCurrencyMethod> validator() {
		return new org.isda.cdm.validation.CrossCurrencyMethodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CrossCurrencyMethod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CrossCurrencyMethodOnlyExistsValidator();
	}
}
