package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRepresentation;
import org.isda.cdm.ConditionsPrecedent;
import org.isda.cdm.ContactElection;
import org.isda.cdm.Csa2016;
import org.isda.cdm.DisputeResolution;
import org.isda.cdm.Substitution;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Csa2016.class)
public class Csa2016Meta implements RosettaMetaData<Csa2016> {

	@Override
	public List<Validator<? super Csa2016>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Csa2016>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Csa2016, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Csa2016> validator() {
		return new org.isda.cdm.validation.Csa2016Validator();
	}
	
	@Override
	public ValidatorWithArg<? super Csa2016, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.Csa2016OnlyExistsValidator();
	}
}
