package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationDateLocation;
import org.isda.cdm.CreditSupportObligationsInitialMargin;
import org.isda.cdm.CsaInitialMargin2016;
import org.isda.cdm.FxHaircutCurrency;
import org.isda.cdm.Method;
import org.isda.cdm.NotificationTime;
import org.isda.cdm.OneWayProvisions;
import org.isda.cdm.Regime;
import org.isda.cdm.SensitivityMethodology;
import org.isda.cdm.TerminationCurrencyAmendment;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CsaInitialMargin2016.class)
public class CsaInitialMargin2016Meta implements RosettaMetaData<CsaInitialMargin2016> {

	@Override
	public List<Validator<? super CsaInitialMargin2016>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CsaInitialMargin2016>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CsaInitialMargin2016, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CsaInitialMargin2016> validator() {
		return new org.isda.cdm.validation.CsaInitialMargin2016Validator();
	}
	
	@Override
	public ValidatorWithArg<? super CsaInitialMargin2016, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CsaInitialMargin2016OnlyExistsValidator();
	}
}
