package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.CalculationDateLocation;
import org.isda.cdm.CreditSupportObligationsVariationMargin;
import org.isda.cdm.CsaVariationMargin2016;
import org.isda.cdm.HoldingAndUsingPostedCollateral;
import org.isda.cdm.Party;
import org.isda.cdm.RelatedAgreement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CsaVariationMargin2016.class)
public class CsaVariationMargin2016Meta implements RosettaMetaData<CsaVariationMargin2016> {

	@Override
	public List<Validator<? super CsaVariationMargin2016>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CsaVariationMargin2016>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CsaVariationMargin2016, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CsaVariationMargin2016> validator() {
		return new org.isda.cdm.validation.CsaVariationMargin2016Validator();
	}
	
	@Override
	public ValidatorWithArg<? super CsaVariationMargin2016, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CsaVariationMargin2016OnlyExistsValidator();
	}
}
