package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CsaVariationMargin2016NewYorkLaw;
import org.isda.cdm.OtherEligibleAndPostedSupport;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CsaVariationMargin2016NewYorkLaw.class)
public class CsaVariationMargin2016NewYorkLawMeta implements RosettaMetaData<CsaVariationMargin2016NewYorkLaw> {

	@Override
	public List<Validator<? super CsaVariationMargin2016NewYorkLaw>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CsaVariationMargin2016NewYorkLaw>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CsaVariationMargin2016NewYorkLaw, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CsaVariationMargin2016NewYorkLaw> validator() {
		return new org.isda.cdm.validation.CsaVariationMargin2016NewYorkLawValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CsaVariationMargin2016NewYorkLaw, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CsaVariationMargin2016NewYorkLawOnlyExistsValidator();
	}
}
