package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustodianEventEndDate;
import org.isda.cdm.CustomisableOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustodianEventEndDate.class)
public class CustodianEventEndDateMeta implements RosettaMetaData<CustodianEventEndDate> {

	@Override
	public List<Validator<? super CustodianEventEndDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustodianEventEndDate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustodianEventEndDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustodianEventEndDate> validator() {
		return new org.isda.cdm.validation.CustodianEventEndDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustodianEventEndDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustodianEventEndDateOnlyExistsValidator();
	}
}
