package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustomisableOffset;
import org.isda.cdm.Offset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustomisableOffset.class)
public class CustomisableOffsetMeta implements RosettaMetaData<CustomisableOffset> {

	@Override
	public List<Validator<? super CustomisableOffset>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustomisableOffset>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustomisableOffset, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustomisableOffset> validator() {
		return new org.isda.cdm.validation.CustomisableOffsetValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustomisableOffset, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustomisableOffsetOnlyExistsValidator();
	}
}
