package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustomisedWorkflow;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustomisedWorkflow.class)
public class CustomisedWorkflowMeta implements RosettaMetaData<CustomisedWorkflow> {

	@Override
	public List<Validator<? super CustomisedWorkflow>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustomisedWorkflow>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustomisedWorkflow, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustomisedWorkflow> validator() {
		return new org.isda.cdm.validation.CustomisedWorkflowValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustomisedWorkflow, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustomisedWorkflowOnlyExistsValidator();
	}
}
