package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DateList;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DateList.class)
public class DateListMeta implements RosettaMetaData<DateList> {

	@Override
	public List<Validator<? super DateList>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DateList>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DateList, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DateList> validator() {
		return new org.isda.cdm.validation.DateListValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DateList, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DateListOnlyExistsValidator();
	}
}
