package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DateRange;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DateRange.class)
public class DateRangeMeta implements RosettaMetaData<DateRange> {

	@Override
	public List<Validator<? super DateRange>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DateRange>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DateRange, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DateRange> validator() {
		return new org.isda.cdm.validation.DateRangeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DateRange, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DateRangeOnlyExistsValidator();
	}
}
