package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodDates;
import org.isda.cdm.DateRelativeToCalculationPeriodDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DateRelativeToCalculationPeriodDates.class)
public class DateRelativeToCalculationPeriodDatesMeta implements RosettaMetaData<DateRelativeToCalculationPeriodDates> {

	@Override
	public List<Validator<? super DateRelativeToCalculationPeriodDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DateRelativeToCalculationPeriodDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DateRelativeToCalculationPeriodDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DateRelativeToCalculationPeriodDates> validator() {
		return new org.isda.cdm.validation.DateRelativeToCalculationPeriodDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DateRelativeToCalculationPeriodDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DateRelativeToCalculationPeriodDatesOnlyExistsValidator();
	}
}
