package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DistributionAndInterestPayment;
import org.isda.cdm.EligibleCurrencyInterestRate;
import org.isda.cdm.InterestAdjustment;
import org.isda.cdm.InterestAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DistributionAndInterestPayment.class)
public class DistributionAndInterestPaymentMeta implements RosettaMetaData<DistributionAndInterestPayment> {

	@Override
	public List<Validator<? super DistributionAndInterestPayment>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DistributionAndInterestPayment>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DistributionAndInterestPayment, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DistributionAndInterestPayment> validator() {
		return new org.isda.cdm.validation.DistributionAndInterestPaymentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DistributionAndInterestPayment, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DistributionAndInterestPaymentOnlyExistsValidator();
	}
}
