package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Documentation;
import org.isda.cdm.DocumentationIdentification;
import org.isda.cdm.LegalAgreement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Documentation.class)
public class DocumentationMeta implements RosettaMetaData<Documentation> {

	@Override
	public List<Validator<? super Documentation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Documentation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Documentation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Documentation> validator() {
		return new org.isda.cdm.validation.DocumentationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Documentation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DocumentationOnlyExistsValidator();
	}
}
