package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustodianTerms;
import org.isda.cdm.EligibilityToHoldCollateral;
import org.isda.cdm.HoldingPostedCollateralEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EligibilityToHoldCollateral.class)
public class EligibilityToHoldCollateralMeta implements RosettaMetaData<EligibilityToHoldCollateral> {

	@Override
	public List<Validator<? super EligibilityToHoldCollateral>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EligibilityToHoldCollateral>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EligibilityToHoldCollateral, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EligibilityToHoldCollateral> validator() {
		return new org.isda.cdm.validation.EligibilityToHoldCollateralValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EligibilityToHoldCollateral, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EligibilityToHoldCollateralOnlyExistsValidator();
	}
}
