package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EligibleCurrencyInterestRate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EligibleCurrencyInterestRate.class)
public class EligibleCurrencyInterestRateMeta implements RosettaMetaData<EligibleCurrencyInterestRate> {

	@Override
	public List<Validator<? super EligibleCurrencyInterestRate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EligibleCurrencyInterestRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EligibleCurrencyInterestRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EligibleCurrencyInterestRate> validator() {
		return new org.isda.cdm.validation.EligibleCurrencyInterestRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EligibleCurrencyInterestRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EligibleCurrencyInterestRateOnlyExistsValidator();
	}
}
