package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ComputedAmount;
import org.isda.cdm.Event;
import org.isda.cdm.EventTestBundle;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EventTestBundle.class)
public class EventTestBundleMeta implements RosettaMetaData<EventTestBundle> {

	@Override
	public List<Validator<? super EventTestBundle>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EventTestBundle>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EventTestBundle, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EventTestBundle> validator() {
		return new org.isda.cdm.validation.EventTestBundleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EventTestBundle, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EventTestBundleOnlyExistsValidator();
	}
}
