package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.time.ZonedDateTime;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EventTimestamp;
import org.isda.cdm.EventTimestampQualificationEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EventTimestamp.class)
public class EventTimestampMeta implements RosettaMetaData<EventTimestamp> {

	@Override
	public List<Validator<? super EventTimestamp>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EventTimestamp>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EventTimestamp, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EventTimestamp> validator() {
		return new org.isda.cdm.validation.EventTimestampValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EventTimestamp, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EventTimestampOnlyExistsValidator();
	}
}
