package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExchangeTradedFund;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExchangeTradedFund.class)
public class ExchangeTradedFundMeta implements RosettaMetaData<ExchangeTradedFund> {

	@Override
	public List<Validator<? super ExchangeTradedFund>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExchangeTradedFund>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExchangeTradedFund, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExchangeTradedFund> validator() {
		return new org.isda.cdm.validation.ExchangeTradedFundValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExchangeTradedFund, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExchangeTradedFundOnlyExistsValidator();
	}
}
