package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExecutionPrimitive;
import org.isda.cdm.ExecutionState;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExecutionPrimitive.class)
public class ExecutionPrimitiveMeta implements RosettaMetaData<ExecutionPrimitive> {

	@Override
	public List<Validator<? super ExecutionPrimitive>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExecutionPrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExecutionPrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExecutionPrimitive> validator() {
		return new org.isda.cdm.validation.ExecutionPrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExecutionPrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExecutionPrimitiveOnlyExistsValidator();
	}
}
