package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Execution;
import org.isda.cdm.ExecutionState;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExecutionState.class)
public class ExecutionStateMeta implements RosettaMetaData<ExecutionState> {

	@Override
	public List<Validator<? super ExecutionState>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExecutionState>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExecutionState, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExecutionState> validator() {
		return new org.isda.cdm.validation.ExecutionStateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExecutionState, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExecutionStateOnlyExistsValidator();
	}
}
