package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExercisePeriod;
import org.isda.cdm.Period;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExercisePeriod.class)
public class ExercisePeriodMeta implements RosettaMetaData<ExercisePeriod> {

	@Override
	public List<Validator<? super ExercisePeriod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExercisePeriod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExercisePeriod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExercisePeriod> validator() {
		return new org.isda.cdm.validation.ExercisePeriodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExercisePeriod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExercisePeriodOnlyExistsValidator();
	}
}
