package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrAdjustedDate;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.ContractState;
import org.isda.cdm.ExerciseOutcome;
import org.isda.cdm.ExercisePrimitive;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExercisePrimitive.class)
public class ExercisePrimitiveMeta implements RosettaMetaData<ExercisePrimitive> {

	@Override
	public List<Validator<? super ExercisePrimitive>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExercisePrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExercisePrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExercisePrimitive> validator() {
		return new org.isda.cdm.validation.ExercisePrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExercisePrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExercisePrimitiveOnlyExistsValidator();
	}
}
