package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExtendibleProvisionAdjustedDates;
import org.isda.cdm.ExtensionEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExtendibleProvisionAdjustedDates.class)
public class ExtendibleProvisionAdjustedDatesMeta implements RosettaMetaData<ExtendibleProvisionAdjustedDates> {

	@Override
	public List<Validator<? super ExtendibleProvisionAdjustedDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExtendibleProvisionAdjustedDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExtendibleProvisionAdjustedDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExtendibleProvisionAdjustedDates> validator() {
		return new org.isda.cdm.validation.ExtendibleProvisionAdjustedDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExtendibleProvisionAdjustedDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExtendibleProvisionAdjustedDatesOnlyExistsValidator();
	}
}
