package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FinInstrm;
import org.isda.cdm.Othr;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FinInstrm.class)
public class FinInstrmMeta implements RosettaMetaData<FinInstrm> {

	@Override
	public List<Validator<? super FinInstrm>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FinInstrm>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FinInstrm, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FinInstrm> validator() {
		return new org.isda.cdm.validation.FinInstrmValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FinInstrm, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FinInstrmOnlyExistsValidator();
	}
}
