package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FinInstrmRptgTxRpt;
import org.isda.cdm.Tx;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FinInstrmRptgTxRpt.class)
public class FinInstrmRptgTxRptMeta implements RosettaMetaData<FinInstrmRptgTxRpt> {

	@Override
	public List<Validator<? super FinInstrmRptgTxRpt>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FinInstrmRptgTxRpt>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FinInstrmRptgTxRpt, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FinInstrmRptgTxRpt> validator() {
		return new org.isda.cdm.validation.FinInstrmRptgTxRptValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FinInstrmRptgTxRpt, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FinInstrmRptgTxRptOnlyExistsValidator();
	}
}
