package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ForeignExchange;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=ForeignExchange.class)
public class ForeignExchangeMeta implements RosettaMetaData<ForeignExchange> {

	@Override
	public List<Validator<? super ForeignExchange>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ForeignExchange>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ForeignExchange, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ForeignExchange> validator() {
		return new org.isda.cdm.validation.ForeignExchangeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ForeignExchange, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ForeignExchangeOnlyExistsValidator();
	}
}
