package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxFixing;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxFixing.class)
public class FxFixingMeta implements RosettaMetaData<FxFixing> {

	@Override
	public List<Validator<? super FxFixing>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxFixing>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FxFixing, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxFixing> validator() {
		return new org.isda.cdm.validation.FxFixingValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxFixing, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxFixingOnlyExistsValidator();
	}
}
