package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxInformationSource;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxInformationSource.class)
public class FxInformationSourceMeta implements RosettaMetaData<FxInformationSource> {

	@Override
	public List<Validator<? super FxInformationSource>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxInformationSource>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FxInformationSource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxInformationSource> validator() {
		return new org.isda.cdm.validation.FxInformationSourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxInformationSource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxInformationSourceOnlyExistsValidator();
	}
}
