package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxLinkedNotionalAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxLinkedNotionalAmount.class)
public class FxLinkedNotionalAmountMeta implements RosettaMetaData<FxLinkedNotionalAmount> {

	@Override
	public List<Validator<? super FxLinkedNotionalAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxLinkedNotionalAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FxLinkedNotionalAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxLinkedNotionalAmount> validator() {
		return new org.isda.cdm.validation.FxLinkedNotionalAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxLinkedNotionalAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxLinkedNotionalAmountOnlyExistsValidator();
	}
}
