package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxRate;
import org.isda.cdm.QuotedCurrencyPair;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxRate.class)
public class FxRateMeta implements RosettaMetaData<FxRate> {

	@Override
	public List<Validator<? super FxRate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FxRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxRate> validator() {
		return new org.isda.cdm.validation.FxRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxRateOnlyExistsValidator();
	}
}
