package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EligibilityToHoldCollateral;
import org.isda.cdm.HoldingAndUsingPostedCollateralElection;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=HoldingAndUsingPostedCollateralElection.class)
public class HoldingAndUsingPostedCollateralElectionMeta implements RosettaMetaData<HoldingAndUsingPostedCollateralElection> {

	@Override
	public List<Validator<? super HoldingAndUsingPostedCollateralElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super HoldingAndUsingPostedCollateralElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super HoldingAndUsingPostedCollateralElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super HoldingAndUsingPostedCollateralElection> validator() {
		return new org.isda.cdm.validation.HoldingAndUsingPostedCollateralElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super HoldingAndUsingPostedCollateralElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.HoldingAndUsingPostedCollateralElectionOnlyExistsValidator();
	}
}
