package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Id;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Id.class)
public class IdMeta implements RosettaMetaData<Id> {

	@Override
	public List<Validator<? super Id>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Id>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Id, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Id> validator() {
		return new org.isda.cdm.validation.IdValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Id, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IdOnlyExistsValidator();
	}
}
