package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractState;
import org.isda.cdm.Inception;
import org.isda.cdm.PostInceptionState;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Inception.class)
public class InceptionMeta implements RosettaMetaData<Inception> {

	@Override
	public List<Validator<? super Inception>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Inception>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Inception, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Inception> validator() {
		return new org.isda.cdm.validation.InceptionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Inception, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InceptionOnlyExistsValidator();
	}
}
