package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InflationRateSpecification;
import org.isda.cdm.InterpolationMethodEnum;
import org.isda.cdm.Offset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InflationRateSpecification.class)
public class InflationRateSpecificationMeta implements RosettaMetaData<InflationRateSpecification> {

	@Override
	public List<Validator<? super InflationRateSpecification>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InflationRateSpecification>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InflationRateSpecification, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InflationRateSpecification> validator() {
		return new org.isda.cdm.validation.InflationRateSpecificationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InflationRateSpecification, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InflationRateSpecificationOnlyExistsValidator();
	}
}
