package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DeliveryAmount;
import org.isda.cdm.InterestAmount;
import org.isda.cdm.ReturnAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InterestAmount.class)
public class InterestAmountMeta implements RosettaMetaData<InterestAmount> {

	@Override
	public List<Validator<? super InterestAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InterestAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InterestAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InterestAmount> validator() {
		return new org.isda.cdm.validation.InterestAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InterestAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InterestAmountOnlyExistsValidator();
	}
}
