package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRateIndexEnum;
import org.isda.cdm.InterestShortFall;
import org.isda.cdm.InterestShortfallCapEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InterestShortFall.class)
public class InterestShortFallMeta implements RosettaMetaData<InterestShortFall> {

	@Override
	public List<Validator<? super InterestShortFall>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InterestShortFall>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InterestShortFall, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InterestShortFall> validator() {
		return new org.isda.cdm.validation.InterestShortFallValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InterestShortFall, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InterestShortFallOnlyExistsValidator();
	}
}
