package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.IssuerTradeId;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=IssuerTradeId.class)
public class IssuerTradeIdMeta implements RosettaMetaData<IssuerTradeId> {

	@Override
	public List<Validator<? super IssuerTradeId>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super IssuerTradeId>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super IssuerTradeId, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super IssuerTradeId> validator() {
		return new org.isda.cdm.validation.IssuerTradeIdValidator();
	}
	
	@Override
	public ValidatorWithArg<? super IssuerTradeId, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IssuerTradeIdOnlyExistsValidator();
	}
}
