package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Knock;
import org.isda.cdm.TriggerEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Knock.class)
public class KnockMeta implements RosettaMetaData<Knock> {

	@Override
	public List<Validator<? super Knock>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Knock>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Knock, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Knock> validator() {
		return new org.isda.cdm.validation.KnockValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Knock, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.KnockOnlyExistsValidator();
	}
}
