package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.GoverningLawEnum;
import org.isda.cdm.LegalAgreementNameEnum;
import org.isda.cdm.LegalAgreementPublisherEnum;
import org.isda.cdm.LegalAgreementType;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LegalAgreementType.class)
public class LegalAgreementTypeMeta implements RosettaMetaData<LegalAgreementType> {

	@Override
	public List<Validator<? super LegalAgreementType>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LegalAgreementType>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super LegalAgreementType, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LegalAgreementType> validator() {
		return new org.isda.cdm.validation.LegalAgreementTypeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LegalAgreementType, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LegalAgreementTypeOnlyExistsValidator();
	}
}
