package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.Loan;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Loan.class)
public class LoanMeta implements RosettaMetaData<Loan> {

	@Override
	public List<Validator<? super Loan>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Loan>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Loan, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Loan> validator() {
		return new org.isda.cdm.validation.LoanValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Loan, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LoanOnlyExistsValidator();
	}
}
