package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.LoanParticipation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LoanParticipation.class)
public class LoanParticipationMeta implements RosettaMetaData<LoanParticipation> {

	@Override
	public List<Validator<? super LoanParticipation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LoanParticipation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super LoanParticipation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LoanParticipation> validator() {
		return new org.isda.cdm.validation.LoanParticipationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LoanParticipation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LoanParticipationOnlyExistsValidator();
	}
}
