package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InterpolationMethodEnum;
import org.isda.cdm.MakeWholeAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MakeWholeAmount.class)
public class MakeWholeAmountMeta implements RosettaMetaData<MakeWholeAmount> {

	@Override
	public List<Validator<? super MakeWholeAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MakeWholeAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MakeWholeAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MakeWholeAmount> validator() {
		return new org.isda.cdm.validation.MakeWholeAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MakeWholeAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MakeWholeAmountOnlyExistsValidator();
	}
}
