package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExerciseNotice;
import org.isda.cdm.ManualExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ManualExercise.class)
public class ManualExerciseMeta implements RosettaMetaData<ManualExercise> {

	@Override
	public List<Validator<? super ManualExercise>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ManualExercise>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ManualExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ManualExercise> validator() {
		return new org.isda.cdm.validation.ManualExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ManualExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ManualExerciseOnlyExistsValidator();
	}
}
