package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MasterAgreement;
import org.isda.cdm.MasterAgreementTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MasterAgreement.class)
public class MasterAgreementMeta implements RosettaMetaData<MasterAgreement> {

	@Override
	public List<Validator<? super MasterAgreement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MasterAgreement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MasterAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MasterAgreement> validator() {
		return new org.isda.cdm.validation.MasterAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MasterAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MasterAgreementOnlyExistsValidator();
	}
}
