package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ElectiveAmountElection;
import org.isda.cdm.MinimumTransferAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MinimumTransferAmount.class)
public class MinimumTransferAmountMeta implements RosettaMetaData<MinimumTransferAmount> {

	@Override
	public List<Validator<? super MinimumTransferAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MinimumTransferAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MinimumTransferAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MinimumTransferAmount> validator() {
		return new org.isda.cdm.validation.MinimumTransferAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MinimumTransferAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MinimumTransferAmountOnlyExistsValidator();
	}
}
