package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AddtlAttrbts;
import org.isda.cdm.Buyr;
import org.isda.cdm.ExctgPrsn;
import org.isda.cdm.FinInstrm;
import org.isda.cdm.InvstmtDcsnPrsn;
import org.isda.cdm.New;
import org.isda.cdm.OrdrTrnsmssn;
import org.isda.cdm.Sellr;
import org.isda.cdm.Tx;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=New.class)
public class NewMeta implements RosettaMetaData<New> {

	@Override
	public List<Validator<? super New>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super New>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super New, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super New> validator() {
		return new org.isda.cdm.validation.NewValidator();
	}
	
	@Override
	public ValidatorWithArg<? super New, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NewOnlyExistsValidator();
	}
}
