package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeQuantitySchedule;
import org.isda.cdm.NonNegativeStepSchedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonNegativeQuantitySchedule.class)
public class NonNegativeQuantityScheduleMeta implements RosettaMetaData<NonNegativeQuantitySchedule> {

	@Override
	public List<Validator<? super NonNegativeQuantitySchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NonNegativeQuantitySchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NonNegativeQuantitySchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonNegativeQuantitySchedule> validator() {
		return new org.isda.cdm.validation.NonNegativeQuantityScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonNegativeQuantitySchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonNegativeQuantityScheduleOnlyExistsValidator();
	}
}
