package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ObligorPostingObligations;
import org.isda.cdm.PostingObligationsElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ObligorPostingObligations.class)
public class ObligorPostingObligationsMeta implements RosettaMetaData<ObligorPostingObligations> {

	@Override
	public List<Validator<? super ObligorPostingObligations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ObligorPostingObligations>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ObligorPostingObligations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ObligorPostingObligations> validator() {
		return new org.isda.cdm.validation.ObligorPostingObligationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ObligorPostingObligations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ObligorPostingObligationsOnlyExistsValidator();
	}
}
