package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ObservationPrimitive;
import org.isda.cdm.ObservationSource;
import org.isda.cdm.QuotationSideEnum;
import org.isda.cdm.TimeZone;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ObservationPrimitive.class)
public class ObservationPrimitiveMeta implements RosettaMetaData<ObservationPrimitive> {

	@Override
	public List<Validator<? super ObservationPrimitive>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ObservationPrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ObservationPrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ObservationPrimitive> validator() {
		return new org.isda.cdm.validation.ObservationPrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ObservationPrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ObservationPrimitiveOnlyExistsValidator();
	}
}
