package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OptionPhysicalSettlement;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionPhysicalSettlement.class)
public class OptionPhysicalSettlementMeta implements RosettaMetaData<OptionPhysicalSettlement> {

	@Override
	public List<Validator<? super OptionPhysicalSettlement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionPhysicalSettlement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OptionPhysicalSettlement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionPhysicalSettlement> validator() {
		return new org.isda.cdm.validation.OptionPhysicalSettlementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionPhysicalSettlement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionPhysicalSettlementOnlyExistsValidator();
	}
}
