package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OrdrTrnsmssn;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OrdrTrnsmssn.class)
public class OrdrTrnsmssnMeta implements RosettaMetaData<OrdrTrnsmssn> {

	@Override
	public List<Validator<? super OrdrTrnsmssn>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OrdrTrnsmssn>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OrdrTrnsmssn, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OrdrTrnsmssn> validator() {
		return new org.isda.cdm.validation.OrdrTrnsmssnValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OrdrTrnsmssn, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OrdrTrnsmssnOnlyExistsValidator();
	}
}
