package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CategoryEnum;
import org.isda.cdm.PackageInformation;
import org.isda.cdm.RelatedParty;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PackageInformation.class)
public class PackageInformationMeta implements RosettaMetaData<PackageInformation> {

	@Override
	public List<Validator<? super PackageInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PackageInformation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PackageInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PackageInformation> validator() {
		return new org.isda.cdm.validation.PackageInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PackageInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PackageInformationOnlyExistsValidator();
	}
}
