package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Identifier;
import org.isda.cdm.PartyAgreementIdentifier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartyAgreementIdentifier.class)
public class PartyAgreementIdentifierMeta implements RosettaMetaData<PartyAgreementIdentifier> {

	@Override
	public List<Validator<? super PartyAgreementIdentifier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartyAgreementIdentifier>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PartyAgreementIdentifier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartyAgreementIdentifier> validator() {
		return new org.isda.cdm.validation.PartyAgreementIdentifierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartyAgreementIdentifier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyAgreementIdentifierOnlyExistsValidator();
	}
}
