package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Party;
import org.isda.cdm.PartyRole;
import org.isda.cdm.PartyRoleEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartyRole.class)
public class PartyRoleMeta implements RosettaMetaData<PartyRole> {

	@Override
	public List<Validator<? super PartyRole>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartyRole>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PartyRole, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartyRole> validator() {
		return new org.isda.cdm.validation.PartyRoleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartyRole, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyRoleOnlyExistsValidator();
	}
}
