package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PassThroughItem;
import org.isda.cdm.PayerReceiver;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PassThroughItem.class)
public class PassThroughItemMeta implements RosettaMetaData<PassThroughItem> {

	@Override
	public List<Validator<? super PassThroughItem>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PassThroughItem>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PassThroughItem, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PassThroughItem> validator() {
		return new org.isda.cdm.validation.PassThroughItemValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PassThroughItem, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PassThroughItemOnlyExistsValidator();
	}
}
