package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.Party;
import org.isda.cdm.PayerReceiver;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PayerReceiver.class)
public class PayerReceiverMeta implements RosettaMetaData<PayerReceiver> {

	@Override
	public List<Validator<? super PayerReceiver>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PayerReceiver>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PayerReceiver, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PayerReceiver> validator() {
		return new org.isda.cdm.validation.PayerReceiverValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PayerReceiver, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PayerReceiverOnlyExistsValidator();
	}
}
