package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.PaymentDiscounting;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PaymentDiscounting.class)
public class PaymentDiscountingMeta implements RosettaMetaData<PaymentDiscounting> {

	@Override
	public List<Validator<? super PaymentDiscounting>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PaymentDiscounting>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PaymentDiscounting, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PaymentDiscounting> validator() {
		return new org.isda.cdm.validation.PaymentDiscountingValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PaymentDiscounting, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PaymentDiscountingOnlyExistsValidator();
	}
}
