package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PayoutBase;
import org.isda.cdm.ResolvablePayoutQuantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PayoutBase.class)
public class PayoutBaseMeta implements RosettaMetaData<PayoutBase> {

	@Override
	public List<Validator<? super PayoutBase>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PayoutBase>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PayoutBase, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PayoutBase> validator() {
		return new org.isda.cdm.validation.PayoutBaseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PayoutBase, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PayoutBaseOnlyExistsValidator();
	}
}
