package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.PremiumExpression;
import org.isda.cdm.PremiumTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PremiumExpression.class)
public class PremiumExpressionMeta implements RosettaMetaData<PremiumExpression> {

	@Override
	public List<Validator<? super PremiumExpression>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PremiumExpression>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PremiumExpression, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PremiumExpression> validator() {
		return new org.isda.cdm.validation.PremiumExpressionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PremiumExpression, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PremiumExpressionOnlyExistsValidator();
	}
}
