package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FallbackReferencePrice;
import org.isda.cdm.PriceSourceDisruption;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PriceSourceDisruption.class)
public class PriceSourceDisruptionMeta implements RosettaMetaData<PriceSourceDisruption> {

	@Override
	public List<Validator<? super PriceSourceDisruption>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PriceSourceDisruption>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PriceSourceDisruption, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PriceSourceDisruption> validator() {
		return new org.isda.cdm.validation.PriceSourceDisruptionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PriceSourceDisruption, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PriceSourceDisruptionOnlyExistsValidator();
	}
}
