package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ProductIdSourceEnum;
import org.isda.cdm.ProductIdentifier;
import org.isda.cdm.ProductTaxonomy;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ProductIdentifier.class)
public class ProductIdentifierMeta implements RosettaMetaData<ProductIdentifier> {

	@Override
	public List<Validator<? super ProductIdentifier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ProductIdentifier>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ProductIdentifier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ProductIdentifier> validator() {
		return new org.isda.cdm.validation.ProductIdentifierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ProductIdentifier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ProductIdentifierOnlyExistsValidator();
	}
}
