package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ProductTaxonomy;
import org.isda.cdm.TaxonomySourceEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ProductTaxonomy.class)
public class ProductTaxonomyMeta implements RosettaMetaData<ProductTaxonomy> {

	@Override
	public List<Validator<? super ProductTaxonomy>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ProductTaxonomy>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ProductTaxonomy, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ProductTaxonomy> validator() {
		return new org.isda.cdm.validation.ProductTaxonomyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ProductTaxonomy, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ProductTaxonomyOnlyExistsValidator();
	}
}
