package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditEvents;
import org.isda.cdm.FloatingAmountEvents;
import org.isda.cdm.Money;
import org.isda.cdm.Obligations;
import org.isda.cdm.ProtectionTerms;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ProtectionTerms.class)
public class ProtectionTermsMeta implements RosettaMetaData<ProtectionTerms> {

	@Override
	public List<Validator<? super ProtectionTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ProtectionTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ProtectionTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ProtectionTerms> validator() {
		return new org.isda.cdm.validation.ProtectionTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ProtectionTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ProtectionTermsOnlyExistsValidator();
	}
}
