package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Othr;
import org.isda.cdm.Prsn;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Prsn.class)
public class PrsnMeta implements RosettaMetaData<Prsn> {

	@Override
	public List<Validator<? super Prsn>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Prsn>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Prsn, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Prsn> validator() {
		return new org.isda.cdm.validation.PrsnValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Prsn, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PrsnOnlyExistsValidator();
	}
}
