package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxRate;
import org.isda.cdm.FxSpotRateSource;
import org.isda.cdm.Quanto;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Quanto.class)
public class QuantoMeta implements RosettaMetaData<Quanto> {

	@Override
	public List<Validator<? super Quanto>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Quanto>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Quanto, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Quanto> validator() {
		return new org.isda.cdm.validation.QuantoValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Quanto, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.QuantoOnlyExistsValidator();
	}
}
