package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.RefRate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RefRate.class)
public class RefRateMeta implements RosettaMetaData<RefRate> {

	@Override
	public List<Validator<? super RefRate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RefRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RefRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RefRate> validator() {
		return new org.isda.cdm.validation.RefRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RefRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RefRateOnlyExistsValidator();
	}
}
