package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ReferenceBank;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferenceBank.class)
public class ReferenceBankMeta implements RosettaMetaData<ReferenceBank> {

	@Override
	public List<Validator<? super ReferenceBank>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferenceBank>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ReferenceBank, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferenceBank> validator() {
		return new org.isda.cdm.validation.ReferenceBankValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferenceBank, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferenceBankOnlyExistsValidator();
	}
}
