package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ReferencePool;
import org.isda.cdm.ReferencePoolItem;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferencePool.class)
public class ReferencePoolMeta implements RosettaMetaData<ReferencePool> {

	@Override
	public List<Validator<? super ReferencePool>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferencePool>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ReferencePool, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferencePool> validator() {
		return new org.isda.cdm.validation.ReferencePoolValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferencePool, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferencePoolOnlyExistsValidator();
	}
}
