package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MakeWholeAmount;
import org.isda.cdm.ReferenceSwapCurve;
import org.isda.cdm.SwapCurveValuation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferenceSwapCurve.class)
public class ReferenceSwapCurveMeta implements RosettaMetaData<ReferenceSwapCurve> {

	@Override
	public List<Validator<? super ReferenceSwapCurve>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferenceSwapCurve>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ReferenceSwapCurve, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferenceSwapCurve> validator() {
		return new org.isda.cdm.validation.ReferenceSwapCurveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferenceSwapCurve, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferenceSwapCurveOnlyExistsValidator();
	}
}
