package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRegime;
import org.isda.cdm.ApplicableRegime;
import org.isda.cdm.Party;
import org.isda.cdm.RegimeElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RegimeElection.class)
public class RegimeElectionMeta implements RosettaMetaData<RegimeElection> {

	@Override
	public List<Validator<? super RegimeElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RegimeElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RegimeElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RegimeElection> validator() {
		return new org.isda.cdm.validation.RegimeElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RegimeElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RegimeElectionOnlyExistsValidator();
	}
}
