package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Regime;
import org.isda.cdm.RegimeElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Regime.class)
public class RegimeMeta implements RosettaMetaData<Regime> {

	@Override
	public List<Validator<? super Regime>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Regime>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Regime, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Regime> validator() {
		return new org.isda.cdm.validation.RegimeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Regime, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RegimeOnlyExistsValidator();
	}
}
