package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.Party;
import org.isda.cdm.PartyRoleEnum;
import org.isda.cdm.RelatedParty;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RelatedParty.class)
public class RelatedPartyMeta implements RosettaMetaData<RelatedParty> {

	@Override
	public List<Validator<? super RelatedParty>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RelatedParty>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RelatedParty, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RelatedParty> validator() {
		return new org.isda.cdm.validation.RelatedPartyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RelatedParty, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RelatedPartyOnlyExistsValidator();
	}
}
