package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenters;
import org.isda.cdm.BusinessDayConventionEnum;
import org.isda.cdm.RelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RelativeDateOffset.class)
public class RelativeDateOffsetMeta implements RosettaMetaData<RelativeDateOffset> {

	@Override
	public List<Validator<? super RelativeDateOffset>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RelativeDateOffset>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RelativeDateOffset, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RelativeDateOffset> validator() {
		return new org.isda.cdm.validation.RelativeDateOffsetValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RelativeDateOffset, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RelativeDateOffsetOnlyExistsValidator();
	}
}
