package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.LengthUnitEnum;
import org.isda.cdm.ResourceLength;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ResourceLength.class)
public class ResourceLengthMeta implements RosettaMetaData<ResourceLength> {

	@Override
	public List<Validator<? super ResourceLength>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ResourceLength>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ResourceLength, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ResourceLength> validator() {
		return new org.isda.cdm.validation.ResourceLengthValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ResourceLength, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ResourceLengthOnlyExistsValidator();
	}
}
