package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssetTransferTypeEnum;
import org.isda.cdm.Security;
import org.isda.cdm.SecurityTransferBreakdown;
import org.isda.cdm.SecurityTransferComponent;
import org.isda.cdm.TransferorTransferee;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SecurityTransferComponent.class)
public class SecurityTransferComponentMeta implements RosettaMetaData<SecurityTransferComponent> {

	@Override
	public List<Validator<? super SecurityTransferComponent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SecurityTransferComponent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SecurityTransferComponent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SecurityTransferComponent> validator() {
		return new org.isda.cdm.validation.SecurityTransferComponentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SecurityTransferComponent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityTransferComponentOnlyExistsValidator();
	}
}
