package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Security;
import org.isda.cdm.SecurityValuation;
import org.isda.cdm.SecurityValuationModel;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SecurityValuation.class)
public class SecurityValuationMeta implements RosettaMetaData<SecurityValuation> {

	@Override
	public List<Validator<? super SecurityValuation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SecurityValuation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SecurityValuation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SecurityValuation> validator() {
		return new org.isda.cdm.validation.SecurityValuationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SecurityValuation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityValuationOnlyExistsValidator();
	}
}
