package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AcctOwnr;
import org.isda.cdm.Sellr;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Sellr.class)
public class SellrMeta implements RosettaMetaData<Sellr> {

	@Override
	public List<Validator<? super Sellr>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Sellr>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Sellr, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Sellr> validator() {
		return new org.isda.cdm.validation.SellrValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Sellr, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SellrOnlyExistsValidator();
	}
}
