package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Product;
import org.isda.cdm.ResolvablePayoutQuantity;
import org.isda.cdm.SingleUnderlier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SingleUnderlier.class)
public class SingleUnderlierMeta implements RosettaMetaData<SingleUnderlier> {

	@Override
	public List<Validator<? super SingleUnderlier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SingleUnderlier>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SingleUnderlier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SingleUnderlier> validator() {
		return new org.isda.cdm.validation.SingleUnderlierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SingleUnderlier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SingleUnderlierOnlyExistsValidator();
	}
}
