package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Party;
import org.isda.cdm.SpecifiedSimmVersion;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SpecifiedSimmVersion.class)
public class SpecifiedSimmVersionMeta implements RosettaMetaData<SpecifiedSimmVersion> {

	@Override
	public List<Validator<? super SpecifiedSimmVersion>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SpecifiedSimmVersion>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SpecifiedSimmVersion, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SpecifiedSimmVersion> validator() {
		return new org.isda.cdm.validation.SpecifiedSimmVersionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SpecifiedSimmVersion, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SpecifiedSimmVersionOnlyExistsValidator();
	}
}
