package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Step;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Step.class)
public class StepMeta implements RosettaMetaData<Step> {

	@Override
	public List<Validator<? super Step>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Step>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Step, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Step> validator() {
		return new org.isda.cdm.validation.StepValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Step, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StepOnlyExistsValidator();
	}
}
