package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalendarSpread;
import org.isda.cdm.StrategyFeature;
import org.isda.cdm.StrikeSpread;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=StrategyFeature.class)
public class StrategyFeatureMeta implements RosettaMetaData<StrategyFeature> {

	@Override
	public List<Validator<? super StrategyFeature>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super StrategyFeature>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super StrategyFeature, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super StrategyFeature> validator() {
		return new org.isda.cdm.validation.StrategyFeatureValidator();
	}
	
	@Override
	public ValidatorWithArg<? super StrategyFeature, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StrategyFeatureOnlyExistsValidator();
	}
}
