package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OptionStrike;
import org.isda.cdm.StrikeSpread;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=StrikeSpread.class)
public class StrikeSpreadMeta implements RosettaMetaData<StrikeSpread> {

	@Override
	public List<Validator<? super StrikeSpread>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super StrikeSpread>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super StrikeSpread, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super StrikeSpread> validator() {
		return new org.isda.cdm.validation.StrikeSpreadValidator();
	}
	
	@Override
	public ValidatorWithArg<? super StrikeSpread, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StrikeSpreadOnlyExistsValidator();
	}
}
