package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Swp;
import org.isda.cdm.SwpIn;
import org.isda.cdm.SwpOut;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Swp.class)
public class SwpMeta implements RosettaMetaData<Swp> {

	@Override
	public List<Validator<? super Swp>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Swp>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Swp, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Swp> validator() {
		return new org.isda.cdm.validation.SwpValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Swp, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SwpOnlyExistsValidator();
	}
}
