package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Sngl;
import org.isda.cdm.SwpOut;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SwpOut.class)
public class SwpOutMeta implements RosettaMetaData<SwpOut> {

	@Override
	public List<Validator<? super SwpOut>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SwpOut>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SwpOut, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SwpOut> validator() {
		return new org.isda.cdm.validation.SwpOutValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SwpOut, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SwpOutOnlyExistsValidator();
	}
}
