package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.TelephoneNumber;
import org.isda.cdm.TelephoneTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TelephoneNumber.class)
public class TelephoneNumberMeta implements RosettaMetaData<TelephoneNumber> {

	@Override
	public List<Validator<? super TelephoneNumber>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TelephoneNumber>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TelephoneNumber, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TelephoneNumber> validator() {
		return new org.isda.cdm.validation.TelephoneNumberValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TelephoneNumber, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TelephoneNumberOnlyExistsValidator();
	}
}
