package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Term;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Term.class)
public class TermMeta implements RosettaMetaData<Term> {

	@Override
	public List<Validator<? super Term>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Term>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Term, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Term> validator() {
		return new org.isda.cdm.validation.TermValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Term, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TermOnlyExistsValidator();
	}
}
