package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ElectiveAmountElection;
import org.isda.cdm.Threshold;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Threshold.class)
public class ThresholdMeta implements RosettaMetaData<Threshold> {

	@Override
	public List<Validator<? super Threshold>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Threshold>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Threshold, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Threshold> validator() {
		return new org.isda.cdm.validation.ThresholdValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Threshold, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ThresholdOnlyExistsValidator();
	}
}
