package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.TradeDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TradeDate.class)
public class TradeDateMeta implements RosettaMetaData<TradeDate> {

	@Override
	public List<Validator<? super TradeDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TradeDate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TradeDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TradeDate> validator() {
		return new org.isda.cdm.validation.TradeDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TradeDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TradeDateOnlyExistsValidator();
	}
}
