package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PartyCustomisedWorkflow;
import org.isda.cdm.TradeWarehouseWorkflow;
import org.isda.cdm.WarehouseIdentityEnum;
import org.isda.cdm.WorkflowStatusEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TradeWarehouseWorkflow.class)
public class TradeWarehouseWorkflowMeta implements RosettaMetaData<TradeWarehouseWorkflow> {

	@Override
	public List<Validator<? super TradeWarehouseWorkflow>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TradeWarehouseWorkflow>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TradeWarehouseWorkflow, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TradeWarehouseWorkflow> validator() {
		return new org.isda.cdm.validation.TradeWarehouseWorkflowValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TradeWarehouseWorkflow, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TradeWarehouseWorkflowOnlyExistsValidator();
	}
}
