package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.QuotationStyleEnum;
import org.isda.cdm.TransactedPrice;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TransactedPrice.class)
public class TransactedPriceMeta implements RosettaMetaData<TransactedPrice> {

	@Override
	public List<Validator<? super TransactedPrice>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TransactedPrice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TransactedPrice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TransactedPrice> validator() {
		return new org.isda.cdm.validation.TransactedPriceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TransactedPrice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TransactedPriceOnlyExistsValidator();
	}
}
