package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.TransferBase;
import org.isda.cdm.TransferCalculation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TransferBase.class)
public class TransferBaseMeta implements RosettaMetaData<TransferBase> {

	@Override
	public List<Validator<? super TransferBase>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TransferBase>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TransferBase, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TransferBase> validator() {
		return new org.isda.cdm.validation.TransferBaseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TransferBase, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TransferBaseOnlyExistsValidator();
	}
}
