package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Lineage;
import org.isda.cdm.TransferBreakdown;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TransferBreakdown.class)
public class TransferBreakdownMeta implements RosettaMetaData<TransferBreakdown> {

	@Override
	public List<Validator<? super TransferBreakdown>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TransferBreakdown>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TransferBreakdown, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TransferBreakdown> validator() {
		return new org.isda.cdm.validation.TransferBreakdownValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TransferBreakdown, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TransferBreakdownOnlyExistsValidator();
	}
}
