package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodBase;
import org.isda.cdm.Lineage;
import org.isda.cdm.TransferCalculation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TransferCalculation.class)
public class TransferCalculationMeta implements RosettaMetaData<TransferCalculation> {

	@Override
	public List<Validator<? super TransferCalculation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TransferCalculation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TransferCalculation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TransferCalculation> validator() {
		return new org.isda.cdm.validation.TransferCalculationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TransferCalculation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TransferCalculationOnlyExistsValidator();
	}
}
