package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.New;
import org.isda.cdm.Pric;
import org.isda.cdm.Qty;
import org.isda.cdm.Tx;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Tx.class)
public class TxMeta implements RosettaMetaData<Tx> {

	@Override
	public List<Validator<? super Tx>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Tx>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Tx, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Tx> validator() {
		return new org.isda.cdm.validation.TxValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Tx, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TxOnlyExistsValidator();
	}
}
