package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Swp;
import org.isda.cdm.UndrlygInstrm;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=UndrlygInstrm.class)
public class UndrlygInstrmMeta implements RosettaMetaData<UndrlygInstrm> {

	@Override
	public List<Validator<? super UndrlygInstrm>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super UndrlygInstrm>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super UndrlygInstrm, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super UndrlygInstrm> validator() {
		return new org.isda.cdm.validation.UndrlygInstrmValidator();
	}
	
	@Override
	public ValidatorWithArg<? super UndrlygInstrm, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.UndrlygInstrmOnlyExistsValidator();
	}
}
