package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.Quantity;
import org.isda.cdm.UnitContractValuationModel;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=UnitContractValuationModel.class)
public class UnitContractValuationModelMeta implements RosettaMetaData<UnitContractValuationModel> {

	@Override
	public List<Validator<? super UnitContractValuationModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super UnitContractValuationModel>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super UnitContractValuationModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super UnitContractValuationModel> validator() {
		return new org.isda.cdm.validation.UnitContractValuationModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super UnitContractValuationModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.UnitContractValuationModelOnlyExistsValidator();
	}
}
