package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ValuationPostponement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ValuationPostponement.class)
public class ValuationPostponementMeta implements RosettaMetaData<ValuationPostponement> {

	@Override
	public List<Validator<? super ValuationPostponement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ValuationPostponement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ValuationPostponement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ValuationPostponement> validator() {
		return new org.isda.cdm.validation.ValuationPostponementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ValuationPostponement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ValuationPostponementOnlyExistsValidator();
	}
}
