package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PeriodTimeEnum;
import org.isda.cdm.Velocity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Velocity.class)
public class VelocityMeta implements RosettaMetaData<Velocity> {

	@Override
	public List<Validator<? super Velocity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Velocity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Velocity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Velocity> validator() {
		return new org.isda.cdm.validation.VelocityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Velocity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.VelocityOnlyExistsValidator();
	}
}
