package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.QuotationRateTypeEnum;
import org.isda.cdm.SettlementRateSource;
import org.isda.cdm.YieldCurveMethod;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=YieldCurveMethod.class)
public class YieldCurveMethodMeta implements RosettaMetaData<YieldCurveMethod> {

	@Override
	public List<Validator<? super YieldCurveMethod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super YieldCurveMethod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super YieldCurveMethod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super YieldCurveMethod> validator() {
		return new org.isda.cdm.validation.YieldCurveMethodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super YieldCurveMethod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.YieldCurveMethodOnlyExistsValidator();
	}
}
