package org.isda.cdm;


/**
 * Enumeration for the different types of confirmation status.
 * 
 * @version 2.5.4
 */
public enum ConfirmationStatusEnum {
    

	CONFIRMED,
	    

	UNCONFIRMED    
	;

	private final String displayName;
	
	ConfirmationStatusEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
