package org.isda.cdm;


/**
 * The enumerated value to specify the fact that no threshold applies.
 * 
 * @version 2.5.4
 */
public enum NoThresholdEnum {
    

	ZERO    
	;

	private final String displayName;
	
	NoThresholdEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
