package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * @version 2.5.4
 */
public enum WarehouseIdentityEnum {
    

	/**
	 * The DTCC Trade Information Warehouse Gold service
	 */
	@RosettaSynonym(value = "Gold", source = "DTCC_11_0")
	@RosettaSynonym(value = "Gold", source = "DTCC_9_0")
	DTCC_TIW_GOLD    
	;

	private final String displayName;
	
	WarehouseIdentityEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
