package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.records.Date;
import org.isda.cdm.ContractState;


@ImplementedBy(ResolveCashSettlementDateImpl.class)
public abstract class ResolveCashSettlementDate implements RosettaFunction {

	/**
	* @param contractState 
	* @return date 
	*/
	public Date evaluate(ContractState contractState) {
		
		Date date = doEvaluate(contractState);
		
		return date;
	}
	
	protected abstract Date doEvaluate(ContractState contractState);
}
