package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AcctOwnr;
import org.isda.cdm.Id;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AcctOwnr.class)
public class AcctOwnrMeta implements RosettaMetaData<AcctOwnr> {

	@Override
	public List<Validator<? super AcctOwnr>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AcctOwnr>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AcctOwnr, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AcctOwnr> validator() {
		return new org.isda.cdm.validation.AcctOwnrValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AcctOwnr, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AcctOwnrOnlyExistsValidator();
	}
}
