package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRegime;
import org.isda.cdm.RegimeTerms;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalRegime.class)
public class AdditionalRegimeMeta implements RosettaMetaData<AdditionalRegime> {

	@Override
	public List<Validator<? super AdditionalRegime>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdditionalRegime>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalRegime, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalRegime> validator() {
		return new org.isda.cdm.validation.AdditionalRegimeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalRegime, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalRegimeOnlyExistsValidator();
	}
}
