package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalTerminationEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalTerminationEvent.class)
public class AdditionalTerminationEventMeta implements RosettaMetaData<AdditionalTerminationEvent> {

	@Override
	public List<Validator<? super AdditionalTerminationEvent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdditionalTerminationEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalTerminationEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalTerminationEvent> validator() {
		return new org.isda.cdm.validation.AdditionalTerminationEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalTerminationEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalTerminationEventOnlyExistsValidator();
	}
}
