package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AddtlAttrbts;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AddtlAttrbts.class)
public class AddtlAttrbtsMeta implements RosettaMetaData<AddtlAttrbts> {

	@Override
	public List<Validator<? super AddtlAttrbts>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AddtlAttrbts>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AddtlAttrbts, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AddtlAttrbts> validator() {
		return new org.isda.cdm.validation.AddtlAttrbtsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AddtlAttrbts, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AddtlAttrbtsOnlyExistsValidator();
	}
}
