package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDates;
import org.isda.cdm.BusinessDayAdjustments;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustableDates.class)
public class AdjustableDatesMeta implements RosettaMetaData<AdjustableDates> {

	@Override
	public List<Validator<? super AdjustableDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdjustableDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdjustableDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustableDates> validator() {
		return new org.isda.cdm.validation.AdjustableDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustableDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustableDatesOnlyExistsValidator();
	}
}
