package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustedRelativeDateOffset;
import org.isda.cdm.BusinessDayAdjustments;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustedRelativeDateOffset.class)
public class AdjustedRelativeDateOffsetMeta implements RosettaMetaData<AdjustedRelativeDateOffset> {

	@Override
	public List<Validator<? super AdjustedRelativeDateOffset>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdjustedRelativeDateOffset>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdjustedRelativeDateOffset, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustedRelativeDateOffset> validator() {
		return new org.isda.cdm.validation.AdjustedRelativeDateOffsetValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustedRelativeDateOffset, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustedRelativeDateOffsetOnlyExistsValidator();
	}
}
