package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AllocationBreakdown;
import org.isda.cdm.Party;
import org.isda.cdm.Quantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AllocationBreakdown.class)
public class AllocationBreakdownMeta implements RosettaMetaData<AllocationBreakdown> {

	@Override
	public List<Validator<? super AllocationBreakdown>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AllocationBreakdown>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AllocationBreakdown, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AllocationBreakdown> validator() {
		return new org.isda.cdm.validation.AllocationBreakdownValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AllocationBreakdown, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AllocationBreakdownOnlyExistsValidator();
	}
}
