package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AllocationBreakdown;
import org.isda.cdm.AllocationInstructions;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AllocationInstructions.class)
public class AllocationInstructionsMeta implements RosettaMetaData<AllocationInstructions> {

	@Override
	public List<Validator<? super AllocationInstructions>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AllocationInstructions>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AllocationInstructions, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AllocationInstructions> validator() {
		return new org.isda.cdm.validation.AllocationInstructionsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AllocationInstructions, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AllocationInstructionsOnlyExistsValidator();
	}
}
