package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ApplicableRegime;
import org.isda.cdm.RegimeTerms;
import org.isda.cdm.RegulatoryRegimeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ApplicableRegime.class)
public class ApplicableRegimeMeta implements RosettaMetaData<ApplicableRegime> {

	@Override
	public List<Validator<? super ApplicableRegime>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ApplicableRegime>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ApplicableRegime, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ApplicableRegime> validator() {
		return new org.isda.cdm.validation.ApplicableRegimeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ApplicableRegime, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ApplicableRegimeOnlyExistsValidator();
	}
}
