package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Asian;
import org.isda.cdm.AveragingInOutEnum;
import org.isda.cdm.AveragingPeriod;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Asian.class)
public class AsianMeta implements RosettaMetaData<Asian> {

	@Override
	public List<Validator<? super Asian>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Asian>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Asian, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Asian> validator() {
		return new org.isda.cdm.validation.AsianValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Asian, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AsianOnlyExistsValidator();
	}
}
