package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AveragingObservationList;
import org.isda.cdm.WeightedAveragingObservation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AveragingObservationList.class)
public class AveragingObservationListMeta implements RosettaMetaData<AveragingObservationList> {

	@Override
	public List<Validator<? super AveragingObservationList>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AveragingObservationList>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AveragingObservationList, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AveragingObservationList> validator() {
		return new org.isda.cdm.validation.AveragingObservationListValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AveragingObservationList, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AveragingObservationListOnlyExistsValidator();
	}
}
