package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AveragingSchedule;
import org.isda.cdm.CalculationPeriodFrequency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AveragingSchedule.class)
public class AveragingScheduleMeta implements RosettaMetaData<AveragingSchedule> {

	@Override
	public List<Validator<? super AveragingSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AveragingSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AveragingSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AveragingSchedule> validator() {
		return new org.isda.cdm.validation.AveragingScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AveragingSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AveragingScheduleOnlyExistsValidator();
	}
}
