package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Barrier;
import org.isda.cdm.TriggerEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Barrier.class)
public class BarrierMeta implements RosettaMetaData<Barrier> {

	@Override
	public List<Validator<? super Barrier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Barrier>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Barrier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Barrier> validator() {
		return new org.isda.cdm.validation.BarrierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Barrier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BarrierOnlyExistsValidator();
	}
}
