package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BrokerConfirmation;
import org.isda.cdm.BrokerConfirmationTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BrokerConfirmation.class)
public class BrokerConfirmationMeta implements RosettaMetaData<BrokerConfirmation> {

	@Override
	public List<Validator<? super BrokerConfirmation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BrokerConfirmation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BrokerConfirmation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BrokerConfirmation> validator() {
		return new org.isda.cdm.validation.BrokerConfirmationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BrokerConfirmation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BrokerConfirmationOnlyExistsValidator();
	}
}
