package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessUnit;
import org.isda.cdm.ContactInformation;
import org.isda.cdm.Identifier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BusinessUnit.class)
public class BusinessUnitMeta implements RosettaMetaData<BusinessUnit> {

	@Override
	public List<Validator<? super BusinessUnit>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BusinessUnit>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BusinessUnit, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BusinessUnit> validator() {
		return new org.isda.cdm.validation.BusinessUnitValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BusinessUnit, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BusinessUnitOnlyExistsValidator();
	}
}
