package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.BuyerSeller;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BuyerSeller.class)
public class BuyerSellerMeta implements RosettaMetaData<BuyerSeller> {

	@Override
	public List<Validator<? super BuyerSeller>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BuyerSeller>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super BuyerSeller, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BuyerSeller> validator() {
		return new org.isda.cdm.validation.BuyerSellerValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BuyerSeller, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BuyerSellerOnlyExistsValidator();
	}
}
