package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterEnum;
import org.isda.cdm.CalculationAgent;
import org.isda.cdm.CalculationAgentModel;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationAgentModel.class)
public class CalculationAgentModelMeta implements RosettaMetaData<CalculationAgentModel> {

	@Override
	public List<Validator<? super CalculationAgentModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationAgentModel>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationAgentModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationAgentModel> validator() {
		return new org.isda.cdm.validation.CalculationAgentModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationAgentModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationAgentModelOnlyExistsValidator();
	}
}
