package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationDateLocation;
import org.isda.cdm.CalculationDateLocationElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationDateLocation.class)
public class CalculationDateLocationMeta implements RosettaMetaData<CalculationDateLocation> {

	@Override
	public List<Validator<? super CalculationDateLocation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationDateLocation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationDateLocation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationDateLocation> validator() {
		return new org.isda.cdm.validation.CalculationDateLocationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationDateLocation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationDateLocationOnlyExistsValidator();
	}
}
