package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodBase;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationPeriodBase.class)
public class CalculationPeriodBaseMeta implements RosettaMetaData<CalculationPeriodBase> {

	@Override
	public List<Validator<? super CalculationPeriodBase>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationPeriodBase>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationPeriodBase, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationPeriodBase> validator() {
		return new org.isda.cdm.validation.CalculationPeriodBaseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationPeriodBase, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationPeriodBaseOnlyExistsValidator();
	}
}
