package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodData;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationPeriodData.class)
public class CalculationPeriodDataMeta implements RosettaMetaData<CalculationPeriodData> {

	@Override
	public List<Validator<? super CalculationPeriodData>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationPeriodData>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationPeriodData, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationPeriodData> validator() {
		return new org.isda.cdm.validation.CalculationPeriodDataValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationPeriodData, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationPeriodDataOnlyExistsValidator();
	}
}
