package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.CalendarSpread;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalendarSpread.class)
public class CalendarSpreadMeta implements RosettaMetaData<CalendarSpread> {

	@Override
	public List<Validator<? super CalendarSpread>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalendarSpread>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalendarSpread, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalendarSpread> validator() {
		return new org.isda.cdm.validation.CalendarSpreadValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalendarSpread, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalendarSpreadOnlyExistsValidator();
	}
}
