package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashPriceMethod;
import org.isda.cdm.CashSettlementReferenceBanks;
import org.isda.cdm.QuotationRateTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CashPriceMethod.class)
public class CashPriceMethodMeta implements RosettaMetaData<CashPriceMethod> {

	@Override
	public List<Validator<? super CashPriceMethod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CashPriceMethod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CashPriceMethod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CashPriceMethod> validator() {
		return new org.isda.cdm.validation.CashPriceMethodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CashPriceMethod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CashPriceMethodOnlyExistsValidator();
	}
}
