package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashSettlementReferenceBanks;
import org.isda.cdm.ReferenceBank;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CashSettlementReferenceBanks.class)
public class CashSettlementReferenceBanksMeta implements RosettaMetaData<CashSettlementReferenceBanks> {

	@Override
	public List<Validator<? super CashSettlementReferenceBanks>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CashSettlementReferenceBanks>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CashSettlementReferenceBanks, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CashSettlementReferenceBanks> validator() {
		return new org.isda.cdm.validation.CashSettlementReferenceBanksValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CashSettlementReferenceBanks, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CashSettlementReferenceBanksOnlyExistsValidator();
	}
}
