package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ChargorPostingObligations;
import org.isda.cdm.PostingObligationsElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ChargorPostingObligations.class)
public class ChargorPostingObligationsMeta implements RosettaMetaData<ChargorPostingObligations> {

	@Override
	public List<Validator<? super ChargorPostingObligations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ChargorPostingObligations>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ChargorPostingObligations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ChargorPostingObligations> validator() {
		return new org.isda.cdm.validation.ChargorPostingObligationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ChargorPostingObligations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ChargorPostingObligationsOnlyExistsValidator();
	}
}
