package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CleanPrice;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CleanPrice.class)
public class CleanPriceMeta implements RosettaMetaData<CleanPrice> {

	@Override
	public List<Validator<? super CleanPrice>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CleanPrice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CleanPrice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CleanPrice> validator() {
		return new org.isda.cdm.validation.CleanPriceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CleanPrice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CleanPriceOnlyExistsValidator();
	}
}
