package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralManagementArrangement;
import org.isda.cdm.CollateralManagementArrangementElection;
import org.isda.cdm.CustodianEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralManagementArrangement.class)
public class CollateralManagementArrangementMeta implements RosettaMetaData<CollateralManagementArrangement> {

	@Override
	public List<Validator<? super CollateralManagementArrangement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralManagementArrangement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralManagementArrangement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralManagementArrangement> validator() {
		return new org.isda.cdm.validation.CollateralManagementArrangementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralManagementArrangement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralManagementArrangementOnlyExistsValidator();
	}
}
