package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralManager;
import org.isda.cdm.CollateralManagerElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralManager.class)
public class CollateralManagerMeta implements RosettaMetaData<CollateralManager> {

	@Override
	public List<Validator<? super CollateralManager>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralManager>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralManager, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralManager> validator() {
		return new org.isda.cdm.validation.CollateralManagerValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralManager, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralManagerOnlyExistsValidator();
	}
}
