package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralRounding;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CollateralRounding.class)
public class CollateralRoundingMeta implements RosettaMetaData<CollateralRounding> {

	@Override
	public List<Validator<? super CollateralRounding>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CollateralRounding>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CollateralRounding, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CollateralRounding> validator() {
		return new org.isda.cdm.validation.CollateralRoundingValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CollateralRounding, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CollateralRoundingOnlyExistsValidator();
	}
}
