package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Commodity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Commodity.class)
public class CommodityMeta implements RosettaMetaData<Commodity> {

	@Override
	public List<Validator<? super Commodity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Commodity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Commodity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Commodity> validator() {
		return new org.isda.cdm.validation.CommodityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Commodity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CommodityOnlyExistsValidator();
	}
}
