package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Commodity;
import org.isda.cdm.CommoditySet;
import org.isda.cdm.TimeUnitEnum;
import org.isda.cdm.UnitEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CommoditySet.class)
public class CommoditySetMeta implements RosettaMetaData<CommoditySet> {

	@Override
	public List<Validator<? super CommoditySet>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CommoditySet>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CommoditySet, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CommoditySet> validator() {
		return new org.isda.cdm.validation.CommoditySetValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CommoditySet, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CommoditySetOnlyExistsValidator();
	}
}
