package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Commodity;
import org.isda.cdm.CommodityTransferBreakdown;
import org.isda.cdm.TimeUnitEnum;
import org.isda.cdm.TransferorTransferee;
import org.isda.cdm.UnitEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CommodityTransferBreakdown.class)
public class CommodityTransferBreakdownMeta implements RosettaMetaData<CommodityTransferBreakdown> {

	@Override
	public List<Validator<? super CommodityTransferBreakdown>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CommodityTransferBreakdown>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CommodityTransferBreakdown, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CommodityTransferBreakdown> validator() {
		return new org.isda.cdm.validation.CommodityTransferBreakdownValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CommodityTransferBreakdown, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CommodityTransferBreakdownOnlyExistsValidator();
	}
}
