package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Composite;
import org.isda.cdm.DeterminationMethodEnum;
import org.isda.cdm.FxSpotRateSource;
import org.isda.cdm.RelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Composite.class)
public class CompositeMeta implements RosettaMetaData<Composite> {

	@Override
	public List<Validator<? super Composite>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Composite>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Composite, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Composite> validator() {
		return new org.isda.cdm.validation.CompositeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Composite, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CompositeOnlyExistsValidator();
	}
}
