package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContactElection;
import org.isda.cdm.PartyContactInformation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContactElection.class)
public class ContactElectionMeta implements RosettaMetaData<ContactElection> {

	@Override
	public List<Validator<? super ContactElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContactElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContactElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContactElection> validator() {
		return new org.isda.cdm.validation.ContactElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContactElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContactElectionOnlyExistsValidator();
	}
}
