package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Address;
import org.isda.cdm.ContactInformation;
import org.isda.cdm.TelephoneNumber;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContactInformation.class)
public class ContactInformationMeta implements RosettaMetaData<ContactInformation> {

	@Override
	public List<Validator<? super ContactInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContactInformation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContactInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContactInformation> validator() {
		return new org.isda.cdm.validation.ContactInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContactInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContactInformationOnlyExistsValidator();
	}
}
