package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractualMatrix;
import org.isda.cdm.MatrixTermEnum;
import org.isda.cdm.MatrixTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContractualMatrix.class)
public class ContractualMatrixMeta implements RosettaMetaData<ContractualMatrix> {

	@Override
	public List<Validator<? super ContractualMatrix>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContractualMatrix>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ContractualMatrix, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContractualMatrix> validator() {
		return new org.isda.cdm.validation.ContractualMatrixValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContractualMatrix, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContractualMatrixOnlyExistsValidator();
	}
}
