package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ConvertibleBond;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ConvertibleBond.class)
public class ConvertibleBondMeta implements RosettaMetaData<ConvertibleBond> {

	@Override
	public List<Validator<? super ConvertibleBond>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ConvertibleBond>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ConvertibleBond, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ConvertibleBond> validator() {
		return new org.isda.cdm.validation.ConvertibleBondValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ConvertibleBond, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ConvertibleBondOnlyExistsValidator();
	}
}
