package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterEnum;
import org.isda.cdm.CreditEventNotice;
import org.isda.cdm.NotifyingParty;
import org.isda.cdm.PubliclyAvailableInformation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditEventNotice.class)
public class CreditEventNoticeMeta implements RosettaMetaData<CreditEventNotice> {

	@Override
	public List<Validator<? super CreditEventNotice>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditEventNotice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditEventNotice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditEventNotice> validator() {
		return new org.isda.cdm.validation.CreditEventNoticeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditEventNotice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditEventNoticeOnlyExistsValidator();
	}
}
