package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditLimitUtilisationPosition;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditLimitUtilisationPosition.class)
public class CreditLimitUtilisationPositionMeta implements RosettaMetaData<CreditLimitUtilisationPosition> {

	@Override
	public List<Validator<? super CreditLimitUtilisationPosition>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditLimitUtilisationPosition>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditLimitUtilisationPosition, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditLimitUtilisationPosition> validator() {
		return new org.isda.cdm.validation.CreditLimitUtilisationPositionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditLimitUtilisationPosition, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditLimitUtilisationPositionOnlyExistsValidator();
	}
}
