package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditNotation;
import org.isda.cdm.CreditRatingAgencyEnum;
import org.isda.cdm.CreditRatingDebt;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditNotation.class)
public class CreditNotationMeta implements RosettaMetaData<CreditNotation> {

	@Override
	public List<Validator<? super CreditNotation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditNotation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditNotation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditNotation> validator() {
		return new org.isda.cdm.validation.CreditNotationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditNotation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditNotationOnlyExistsValidator();
	}
}
