package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CrossCurrencyTerms;
import org.isda.cdm.PrincipalExchanges;
import org.isda.cdm.SettlementProvision;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CrossCurrencyTerms.class)
public class CrossCurrencyTermsMeta implements RosettaMetaData<CrossCurrencyTerms> {

	@Override
	public List<Validator<? super CrossCurrencyTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CrossCurrencyTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CrossCurrencyTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CrossCurrencyTerms> validator() {
		return new org.isda.cdm.validation.CrossCurrencyTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CrossCurrencyTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CrossCurrencyTermsOnlyExistsValidator();
	}
}
