package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRightsEvent;
import org.isda.cdm.CollateralManagementAgreement;
import org.isda.cdm.CollateralManagementArrangement;
import org.isda.cdm.CollateralManager;
import org.isda.cdm.CsaInitialMargin2016JapaneseLaw;
import org.isda.cdm.DistributionAndInterestPayment;
import org.isda.cdm.ObligorPostingObligations;
import org.isda.cdm.OtherEligibleAndPostedSupport;
import org.isda.cdm.RelatedAgreement;
import org.isda.cdm.RightsEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CsaInitialMargin2016JapaneseLaw.class)
public class CsaInitialMargin2016JapaneseLawMeta implements RosettaMetaData<CsaInitialMargin2016JapaneseLaw> {

	@Override
	public List<Validator<? super CsaInitialMargin2016JapaneseLaw>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CsaInitialMargin2016JapaneseLaw>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CsaInitialMargin2016JapaneseLaw, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CsaInitialMargin2016JapaneseLaw> validator() {
		return new org.isda.cdm.validation.CsaInitialMargin2016JapaneseLawValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CsaInitialMargin2016JapaneseLaw, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CsaInitialMargin2016JapaneseLawOnlyExistsValidator();
	}
}
