package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRightsEvent;
import org.isda.cdm.CsaInitialMargin2016NewYorkLaw;
import org.isda.cdm.CustodyArrangements;
import org.isda.cdm.OtherEligibleAndPostedSupport;
import org.isda.cdm.PledgorPostingObligations;
import org.isda.cdm.RightsEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CsaInitialMargin2016NewYorkLaw.class)
public class CsaInitialMargin2016NewYorkLawMeta implements RosettaMetaData<CsaInitialMargin2016NewYorkLaw> {

	@Override
	public List<Validator<? super CsaInitialMargin2016NewYorkLaw>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CsaInitialMargin2016NewYorkLaw>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CsaInitialMargin2016NewYorkLaw, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CsaInitialMargin2016NewYorkLaw> validator() {
		return new org.isda.cdm.validation.CsaInitialMargin2016NewYorkLawValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CsaInitialMargin2016NewYorkLaw, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CsaInitialMargin2016NewYorkLawOnlyExistsValidator();
	}
}
