package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRightsEvent;
import org.isda.cdm.AppropriatedCollateralValuation;
import org.isda.cdm.ChargorPostingObligations;
import org.isda.cdm.CsdInitialMargin2016EnglishLaw;
import org.isda.cdm.CustodyArrangements;
import org.isda.cdm.ProcessAgent;
import org.isda.cdm.RightsEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CsdInitialMargin2016EnglishLaw.class)
public class CsdInitialMargin2016EnglishLawMeta implements RosettaMetaData<CsdInitialMargin2016EnglishLaw> {

	@Override
	public List<Validator<? super CsdInitialMargin2016EnglishLaw>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CsdInitialMargin2016EnglishLaw>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CsdInitialMargin2016EnglishLaw, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CsdInitialMargin2016EnglishLaw> validator() {
		return new org.isda.cdm.validation.CsdInitialMargin2016EnglishLawValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CsdInitialMargin2016EnglishLaw, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CsdInitialMargin2016EnglishLawOnlyExistsValidator();
	}
}
