package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustodianEvent;
import org.isda.cdm.CustodianEventEndDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustodianEvent.class)
public class CustodianEventMeta implements RosettaMetaData<CustodianEvent> {

	@Override
	public List<Validator<? super CustodianEvent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustodianEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustodianEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustodianEvent> validator() {
		return new org.isda.cdm.validation.CustodianEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustodianEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustodianEventOnlyExistsValidator();
	}
}
