package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditNotations;
import org.isda.cdm.CustodianTerms;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.Money;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustodianTerms.class)
public class CustodianTermsMeta implements RosettaMetaData<CustodianTerms> {

	@Override
	public List<Validator<? super CustodianTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustodianTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustodianTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustodianTerms> validator() {
		return new org.isda.cdm.validation.CustodianTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustodianTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustodianTermsOnlyExistsValidator();
	}
}
