package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.CustodianRisk;
import org.isda.cdm.CustodyArrangementsElection;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustodyArrangementsElection.class)
public class CustodyArrangementsElectionMeta implements RosettaMetaData<CustodyArrangementsElection> {

	@Override
	public List<Validator<? super CustodyArrangementsElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustodyArrangementsElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustodyArrangementsElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustodyArrangementsElection> validator() {
		return new org.isda.cdm.validation.CustodyArrangementsElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustodyArrangementsElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustodyArrangementsElectionOnlyExistsValidator();
	}
}
