package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustodianEvent;
import org.isda.cdm.CustodyArrangements;
import org.isda.cdm.CustodyArrangementsElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustodyArrangements.class)
public class CustodyArrangementsMeta implements RosettaMetaData<CustodyArrangements> {

	@Override
	public List<Validator<? super CustodyArrangements>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CustodyArrangements>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustodyArrangements, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustodyArrangements> validator() {
		return new org.isda.cdm.validation.CustodyArrangementsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustodyArrangements, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustodyArrangementsOnlyExistsValidator();
	}
}
