package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DateRelativeToPaymentDates;
import org.isda.cdm.PaymentDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DateRelativeToPaymentDates.class)
public class DateRelativeToPaymentDatesMeta implements RosettaMetaData<DateRelativeToPaymentDates> {

	@Override
	public List<Validator<? super DateRelativeToPaymentDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DateRelativeToPaymentDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DateRelativeToPaymentDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DateRelativeToPaymentDates> validator() {
		return new org.isda.cdm.validation.DateRelativeToPaymentDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DateRelativeToPaymentDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DateRelativeToPaymentDatesOnlyExistsValidator();
	}
}
