package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.time.ZonedDateTime;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DateTimeList;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DateTimeList.class)
public class DateTimeListMeta implements RosettaMetaData<DateTimeList> {

	@Override
	public List<Validator<? super DateTimeList>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DateTimeList>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DateTimeList, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DateTimeList> validator() {
		return new org.isda.cdm.validation.DateTimeListValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DateTimeList, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DateTimeListOnlyExistsValidator();
	}
}
