package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DerivInstrmAttrbts;
import org.isda.cdm.UndrlygInstrm;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DerivInstrmAttrbts.class)
public class DerivInstrmAttrbtsMeta implements RosettaMetaData<DerivInstrmAttrbts> {

	@Override
	public List<Validator<? super DerivInstrmAttrbts>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DerivInstrmAttrbts>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DerivInstrmAttrbts, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DerivInstrmAttrbts> validator() {
		return new org.isda.cdm.validation.DerivInstrmAttrbtsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DerivInstrmAttrbts, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DerivInstrmAttrbtsOnlyExistsValidator();
	}
}
