package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DeterminationMethod;
import org.isda.cdm.DeterminationMethodEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DeterminationMethod.class)
public class DeterminationMethodMeta implements RosettaMetaData<DeterminationMethod> {

	@Override
	public List<Validator<? super DeterminationMethod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DeterminationMethod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DeterminationMethod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DeterminationMethod> validator() {
		return new org.isda.cdm.validation.DeterminationMethodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DeterminationMethod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DeterminationMethodOnlyExistsValidator();
	}
}
