package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Document;
import org.isda.cdm.FinInstrmRptgTxRpt;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Document.class)
public class DocumentMeta implements RosettaMetaData<Document> {

	@Override
	public List<Validator<? super Document>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Document>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Document, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Document> validator() {
		return new org.isda.cdm.validation.DocumentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Document, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DocumentOnlyExistsValidator();
	}
}
