package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EligibleCollateral;
import org.isda.cdm.EligibleCollateralVariationMarginElection;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EligibleCollateralVariationMarginElection.class)
public class EligibleCollateralVariationMarginElectionMeta implements RosettaMetaData<EligibleCollateralVariationMarginElection> {

	@Override
	public List<Validator<? super EligibleCollateralVariationMarginElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EligibleCollateralVariationMarginElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EligibleCollateralVariationMarginElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EligibleCollateralVariationMarginElection> validator() {
		return new org.isda.cdm.validation.EligibleCollateralVariationMarginElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EligibleCollateralVariationMarginElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EligibleCollateralVariationMarginElectionOnlyExistsValidator();
	}
}
