package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EligibleCollateralVariationMargin;
import org.isda.cdm.EligibleCollateralVariationMarginElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EligibleCollateralVariationMargin.class)
public class EligibleCollateralVariationMarginMeta implements RosettaMetaData<EligibleCollateralVariationMargin> {

	@Override
	public List<Validator<? super EligibleCollateralVariationMargin>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EligibleCollateralVariationMargin>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EligibleCollateralVariationMargin, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EligibleCollateralVariationMargin> validator() {
		return new org.isda.cdm.validation.EligibleCollateralVariationMarginValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EligibleCollateralVariationMargin, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EligibleCollateralVariationMarginOnlyExistsValidator();
	}
}
