package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EquityCorporateEvents;
import org.isda.cdm.ShareExtraordinaryEventEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EquityCorporateEvents.class)
public class EquityCorporateEventsMeta implements RosettaMetaData<EquityCorporateEvents> {

	@Override
	public List<Validator<? super EquityCorporateEvents>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EquityCorporateEvents>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EquityCorporateEvents, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EquityCorporateEvents> validator() {
		return new org.isda.cdm.validation.EquityCorporateEventsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EquityCorporateEvents, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EquityCorporateEventsOnlyExistsValidator();
	}
}
