package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EquityMasterConfirmation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EquityMasterConfirmation.class)
public class EquityMasterConfirmationMeta implements RosettaMetaData<EquityMasterConfirmation> {

	@Override
	public List<Validator<? super EquityMasterConfirmation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EquityMasterConfirmation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EquityMasterConfirmation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EquityMasterConfirmation> validator() {
		return new org.isda.cdm.validation.EquityMasterConfirmationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EquityMasterConfirmation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EquityMasterConfirmationOnlyExistsValidator();
	}
}
