package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Equity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Equity.class)
public class EquityMeta implements RosettaMetaData<Equity> {

	@Override
	public List<Validator<? super Equity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Equity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Equity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Equity> validator() {
		return new org.isda.cdm.validation.EquityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Equity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EquityOnlyExistsValidator();
	}
}
