package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodDates;
import org.isda.cdm.EquitySwapMasterConfirmation2018;
import org.isda.cdm.InterpolationMethodEnum;
import org.isda.cdm.PaymentDates;
import org.isda.cdm.PriceReturnTerms;
import org.isda.cdm.ReturnTypeEnum;
import org.isda.cdm.SettlementTerms;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EquitySwapMasterConfirmation2018.class)
public class EquitySwapMasterConfirmation2018Meta implements RosettaMetaData<EquitySwapMasterConfirmation2018> {

	@Override
	public List<Validator<? super EquitySwapMasterConfirmation2018>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EquitySwapMasterConfirmation2018>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EquitySwapMasterConfirmation2018, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EquitySwapMasterConfirmation2018> validator() {
		return new org.isda.cdm.validation.EquitySwapMasterConfirmation2018Validator();
	}
	
	@Override
	public ValidatorWithArg<? super EquitySwapMasterConfirmation2018, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EquitySwapMasterConfirmation2018OnlyExistsValidator();
	}
}
