package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.AdjustableOrRelativeDates;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.EuropeanExercise;
import org.isda.cdm.ExerciseFee;
import org.isda.cdm.PartialExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EuropeanExercise.class)
public class EuropeanExerciseMeta implements RosettaMetaData<EuropeanExercise> {

	@Override
	public List<Validator<? super EuropeanExercise>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EuropeanExercise>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EuropeanExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EuropeanExercise> validator() {
		return new org.isda.cdm.validation.EuropeanExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EuropeanExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EuropeanExerciseOnlyExistsValidator();
	}
}
