package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Contract;
import org.isda.cdm.EventEffect;
import org.isda.cdm.Execution;
import org.isda.cdm.ProductIdentifier;
import org.isda.cdm.TransferPrimitive;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EventEffect.class)
public class EventEffectMeta implements RosettaMetaData<EventEffect> {

	@Override
	public List<Validator<? super EventEffect>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EventEffect>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EventEffect, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EventEffect> validator() {
		return new org.isda.cdm.validation.EventEffectValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EventEffect, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EventEffectOnlyExistsValidator();
	}
}
