package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EventWorkflow;
import org.isda.cdm.PartyCustomisedWorkflow;
import org.isda.cdm.WorkflowStatusEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EventWorkflow.class)
public class EventWorkflowMeta implements RosettaMetaData<EventWorkflow> {

	@Override
	public List<Validator<? super EventWorkflow>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super EventWorkflow>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EventWorkflow, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EventWorkflow> validator() {
		return new org.isda.cdm.validation.EventWorkflowValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EventWorkflow, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EventWorkflowOnlyExistsValidator();
	}
}
