package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExctgPrsn;
import org.isda.cdm.Prsn;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExctgPrsn.class)
public class ExctgPrsnMeta implements RosettaMetaData<ExctgPrsn> {

	@Override
	public List<Validator<? super ExctgPrsn>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExctgPrsn>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExctgPrsn, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExctgPrsn> validator() {
		return new org.isda.cdm.validation.ExctgPrsnValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExctgPrsn, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExctgPrsnOnlyExistsValidator();
	}
}
