package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Address;
import org.isda.cdm.ExecutingEntity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExecutingEntity.class)
public class ExecutingEntityMeta implements RosettaMetaData<ExecutingEntity> {

	@Override
	public List<Validator<? super ExecutingEntity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExecutingEntity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExecutingEntity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExecutingEntity> validator() {
		return new org.isda.cdm.validation.ExecutingEntityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExecutingEntity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExecutingEntityOnlyExistsValidator();
	}
}
