package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExecutionQuantity;
import org.isda.cdm.NotionalAdjustmentEnum;
import org.isda.cdm.QuantityNotation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExecutionQuantity.class)
public class ExecutionQuantityMeta implements RosettaMetaData<ExecutionQuantity> {

	@Override
	public List<Validator<? super ExecutionQuantity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExecutionQuantity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExecutionQuantity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExecutionQuantity> validator() {
		return new org.isda.cdm.validation.ExecutionQuantityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExecutionQuantity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExecutionQuantityOnlyExistsValidator();
	}
}
