package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterEnum;
import org.isda.cdm.ExerciseNotice;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExerciseNotice.class)
public class ExerciseNoticeMeta implements RosettaMetaData<ExerciseNotice> {

	@Override
	public List<Validator<? super ExerciseNotice>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExerciseNotice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExerciseNotice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExerciseNotice> validator() {
		return new org.isda.cdm.validation.ExerciseNoticeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExerciseNotice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExerciseNoticeOnlyExistsValidator();
	}
}
