package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FailureToPay;
import org.isda.cdm.GracePeriodExtension;
import org.isda.cdm.Money;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FailureToPay.class)
public class FailureToPayMeta implements RosettaMetaData<FailureToPay> {

	@Override
	public List<Validator<? super FailureToPay>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FailureToPay>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FailureToPay, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FailureToPay> validator() {
		return new org.isda.cdm.validation.FailureToPayValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FailureToPay, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FailureToPayOnlyExistsValidator();
	}
}
