package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FinInstrmGnlAttrbts;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FinInstrmGnlAttrbts.class)
public class FinInstrmGnlAttrbtsMeta implements RosettaMetaData<FinInstrmGnlAttrbts> {

	@Override
	public List<Validator<? super FinInstrmGnlAttrbts>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FinInstrmGnlAttrbts>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FinInstrmGnlAttrbts, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FinInstrmGnlAttrbts> validator() {
		return new org.isda.cdm.validation.FinInstrmGnlAttrbtsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FinInstrmGnlAttrbts, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FinInstrmGnlAttrbtsOnlyExistsValidator();
	}
}
