package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDates;
import org.isda.cdm.BusinessDayConventionEnum;
import org.isda.cdm.FinalCalculationPeriodDateAdjustment;
import org.isda.cdm.InterestRatePayout;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FinalCalculationPeriodDateAdjustment.class)
public class FinalCalculationPeriodDateAdjustmentMeta implements RosettaMetaData<FinalCalculationPeriodDateAdjustment> {

	@Override
	public List<Validator<? super FinalCalculationPeriodDateAdjustment>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FinalCalculationPeriodDateAdjustment>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FinalCalculationPeriodDateAdjustment, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FinalCalculationPeriodDateAdjustment> validator() {
		return new org.isda.cdm.validation.FinalCalculationPeriodDateAdjustmentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FinalCalculationPeriodDateAdjustment, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FinalCalculationPeriodDateAdjustmentOnlyExistsValidator();
	}
}
