package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalFixedPayments;
import org.isda.cdm.FloatingAmountEvents;
import org.isda.cdm.FloatingAmountProvisions;
import org.isda.cdm.InterestShortFall;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FloatingAmountEvents.class)
public class FloatingAmountEventsMeta implements RosettaMetaData<FloatingAmountEvents> {

	@Override
	public List<Validator<? super FloatingAmountEvents>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FloatingAmountEvents>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FloatingAmountEvents, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FloatingAmountEvents> validator() {
		return new org.isda.cdm.validation.FloatingAmountEventsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FloatingAmountEvents, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FloatingAmountEventsOnlyExistsValidator();
	}
}
