package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingAmountProvisions;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FloatingAmountProvisions.class)
public class FloatingAmountProvisionsMeta implements RosettaMetaData<FloatingAmountProvisions> {

	@Override
	public List<Validator<? super FloatingAmountProvisions>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FloatingAmountProvisions>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FloatingAmountProvisions, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FloatingAmountProvisions> validator() {
		return new org.isda.cdm.validation.FloatingAmountProvisionsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FloatingAmountProvisions, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FloatingAmountProvisionsOnlyExistsValidator();
	}
}
