package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AveragingMethodEnum;
import org.isda.cdm.FloatingRateSpecification;
import org.isda.cdm.NegativeInterestRateTreatmentEnum;
import org.isda.cdm.Rounding;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FloatingRateSpecification.class)
public class FloatingRateSpecificationMeta implements RosettaMetaData<FloatingRateSpecification> {

	@Override
	public List<Validator<? super FloatingRateSpecification>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FloatingRateSpecification>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FloatingRateSpecification, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FloatingRateSpecification> validator() {
		return new org.isda.cdm.validation.FloatingRateSpecificationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FloatingRateSpecification, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FloatingRateSpecificationOnlyExistsValidator();
	}
}
