package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxRateSourceFixing;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxRateSourceFixing.class)
public class FxRateSourceFixingMeta implements RosettaMetaData<FxRateSourceFixing> {

	@Override
	public List<Validator<? super FxRateSourceFixing>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxRateSourceFixing>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FxRateSourceFixing, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxRateSourceFixing> validator() {
		return new org.isda.cdm.validation.FxRateSourceFixingValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxRateSourceFixing, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxRateSourceFixingOnlyExistsValidator();
	}
}
