package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.FxSpotRateSource;
import org.isda.cdm.InformationSource;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxSpotRateSource.class)
public class FxSpotRateSourceMeta implements RosettaMetaData<FxSpotRateSource> {

	@Override
	public List<Validator<? super FxSpotRateSource>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxSpotRateSource>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FxSpotRateSource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxSpotRateSource> validator() {
		return new org.isda.cdm.validation.FxSpotRateSourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxSpotRateSource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxSpotRateSourceOnlyExistsValidator();
	}
}
