package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.GracePeriodExtension;
import org.isda.cdm.Offset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=GracePeriodExtension.class)
public class GracePeriodExtensionMeta implements RosettaMetaData<GracePeriodExtension> {

	@Override
	public List<Validator<? super GracePeriodExtension>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super GracePeriodExtension>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super GracePeriodExtension, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super GracePeriodExtension> validator() {
		return new org.isda.cdm.validation.GracePeriodExtensionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super GracePeriodExtension, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.GracePeriodExtensionOnlyExistsValidator();
	}
}
