package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.HoldingAndUsingPostedCollateral;
import org.isda.cdm.HoldingAndUsingPostedCollateralElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=HoldingAndUsingPostedCollateral.class)
public class HoldingAndUsingPostedCollateralMeta implements RosettaMetaData<HoldingAndUsingPostedCollateral> {

	@Override
	public List<Validator<? super HoldingAndUsingPostedCollateral>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super HoldingAndUsingPostedCollateral>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super HoldingAndUsingPostedCollateral, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super HoldingAndUsingPostedCollateral> validator() {
		return new org.isda.cdm.validation.HoldingAndUsingPostedCollateralValidator();
	}
	
	@Override
	public ValidatorWithArg<? super HoldingAndUsingPostedCollateral, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.HoldingAndUsingPostedCollateralOnlyExistsValidator();
	}
}
