package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.IdentifiedProduct;
import org.isda.cdm.ProductIdentifier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=IdentifiedProduct.class)
public class IdentifiedProductMeta implements RosettaMetaData<IdentifiedProduct> {

	@Override
	public List<Validator<? super IdentifiedProduct>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super IdentifiedProduct>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super IdentifiedProduct, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super IdentifiedProduct> validator() {
		return new org.isda.cdm.validation.IdentifiedProductValidator();
	}
	
	@Override
	public ValidatorWithArg<? super IdentifiedProduct, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IdentifiedProductOnlyExistsValidator();
	}
}
