package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.IndependentAmount;
import org.isda.cdm.PaymentDetail;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=IndependentAmount.class)
public class IndependentAmountMeta implements RosettaMetaData<IndependentAmount> {

	@Override
	public List<Validator<? super IndependentAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super IndependentAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super IndependentAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super IndependentAmount> validator() {
		return new org.isda.cdm.validation.IndependentAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super IndependentAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IndependentAmountOnlyExistsValidator();
	}
}
