package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.IndexAdjustmentEvents;
import org.isda.cdm.IndexEventConsequenceEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=IndexAdjustmentEvents.class)
public class IndexAdjustmentEventsMeta implements RosettaMetaData<IndexAdjustmentEvents> {

	@Override
	public List<Validator<? super IndexAdjustmentEvents>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super IndexAdjustmentEvents>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super IndexAdjustmentEvents, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super IndexAdjustmentEvents> validator() {
		return new org.isda.cdm.validation.IndexAdjustmentEventsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super IndexAdjustmentEvents, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IndexAdjustmentEventsOnlyExistsValidator();
	}
}
