package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Indx;
import org.isda.cdm.Nm;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Indx.class)
public class IndxMeta implements RosettaMetaData<Indx> {

	@Override
	public List<Validator<? super Indx>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Indx>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Indx, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Indx> validator() {
		return new org.isda.cdm.validation.IndxValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Indx, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IndxOnlyExistsValidator();
	}
}
