package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.IneligibleCreditSupport;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=IneligibleCreditSupport.class)
public class IneligibleCreditSupportMeta implements RosettaMetaData<IneligibleCreditSupport> {

	@Override
	public List<Validator<? super IneligibleCreditSupport>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super IneligibleCreditSupport>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super IneligibleCreditSupport, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super IneligibleCreditSupport> validator() {
		return new org.isda.cdm.validation.IneligibleCreditSupportValidator();
	}
	
	@Override
	public ValidatorWithArg<? super IneligibleCreditSupport, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IneligibleCreditSupportOnlyExistsValidator();
	}
}
