package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InformationSource;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=InformationSource.class)
public class InformationSourceMeta implements RosettaMetaData<InformationSource> {

	@Override
	public List<Validator<? super InformationSource>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InformationSource>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InformationSource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InformationSource> validator() {
		return new org.isda.cdm.validation.InformationSourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InformationSource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InformationSourceOnlyExistsValidator();
	}
}
