package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InterestAdjustment;
import org.isda.cdm.InterestAdjustmentPeriodicity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InterestAdjustment.class)
public class InterestAdjustmentMeta implements RosettaMetaData<InterestAdjustment> {

	@Override
	public List<Validator<? super InterestAdjustment>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InterestAdjustment>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InterestAdjustment, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InterestAdjustment> validator() {
		return new org.isda.cdm.validation.InterestAdjustmentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InterestAdjustment, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InterestAdjustmentOnlyExistsValidator();
	}
}
