package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRateIndexEnum;
import org.isda.cdm.InterestRateCurve;
import org.isda.cdm.Period;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InterestRateCurve.class)
public class InterestRateCurveMeta implements RosettaMetaData<InterestRateCurve> {

	@Override
	public List<Validator<? super InterestRateCurve>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InterestRateCurve>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InterestRateCurve, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InterestRateCurve> validator() {
		return new org.isda.cdm.validation.InterestRateCurveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InterestRateCurve, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InterestRateCurveOnlyExistsValidator();
	}
}
