package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Identifier;
import org.isda.cdm.LegalAgreementBase;
import org.isda.cdm.LegalAgreementType;
import org.isda.cdm.Lineage;
import org.isda.cdm.Party;
import org.isda.cdm.PartyRole;
import org.isda.cdm.UmbrellaAgreement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LegalAgreementBase.class)
public class LegalAgreementBaseMeta implements RosettaMetaData<LegalAgreementBase> {

	@Override
	public List<Validator<? super LegalAgreementBase>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LegalAgreementBase>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super LegalAgreementBase, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LegalAgreementBase> validator() {
		return new org.isda.cdm.validation.LegalAgreementBaseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LegalAgreementBase, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LegalAgreementBaseOnlyExistsValidator();
	}
}
