package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.LimitApplicableExtended;
import org.isda.cdm.LimitLevelEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LimitApplicableExtended.class)
public class LimitApplicableExtendedMeta implements RosettaMetaData<LimitApplicableExtended> {

	@Override
	public List<Validator<? super LimitApplicableExtended>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LimitApplicableExtended>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super LimitApplicableExtended, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LimitApplicableExtended> validator() {
		return new org.isda.cdm.validation.LimitApplicableExtendedValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LimitApplicableExtended, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LimitApplicableExtendedOnlyExistsValidator();
	}
}
