package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MasterConfirmationBase;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MasterConfirmationBase.class)
public class MasterConfirmationBaseMeta implements RosettaMetaData<MasterConfirmationBase> {

	@Override
	public List<Validator<? super MasterConfirmationBase>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MasterConfirmationBase>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MasterConfirmationBase, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MasterConfirmationBase> validator() {
		return new org.isda.cdm.validation.MasterConfirmationBaseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MasterConfirmationBase, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MasterConfirmationBaseOnlyExistsValidator();
	}
}
