package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MasterConfirmation;
import org.isda.cdm.MasterConfirmationAnnexTypeEnum;
import org.isda.cdm.MasterConfirmationTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MasterConfirmation.class)
public class MasterConfirmationMeta implements RosettaMetaData<MasterConfirmation> {

	@Override
	public List<Validator<? super MasterConfirmation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MasterConfirmation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MasterConfirmation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MasterConfirmation> validator() {
		return new org.isda.cdm.validation.MasterConfirmationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MasterConfirmation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MasterConfirmationOnlyExistsValidator();
	}
}
