package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MessageInformation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MessageInformation.class)
public class MessageInformationMeta implements RosettaMetaData<MessageInformation> {

	@Override
	public List<Validator<? super MessageInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MessageInformation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MessageInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MessageInformation> validator() {
		return new org.isda.cdm.validation.MessageInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MessageInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MessageInformationOnlyExistsValidator();
	}
}
