package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Method;
import org.isda.cdm.SimmCalculationCurrency;
import org.isda.cdm.SimmVersion;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Method.class)
public class MethodMeta implements RosettaMetaData<Method> {

	@Override
	public List<Validator<? super Method>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Method>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Method, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Method> validator() {
		return new org.isda.cdm.validation.MethodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Method, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MethodOnlyExistsValidator();
	}
}
