package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssetPool;
import org.isda.cdm.MortgageBackedSecurity;
import org.isda.cdm.MortgageSectorEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MortgageBackedSecurity.class)
public class MortgageBackedSecurityMeta implements RosettaMetaData<MortgageBackedSecurity> {

	@Override
	public List<Validator<? super MortgageBackedSecurity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MortgageBackedSecurity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MortgageBackedSecurity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MortgageBackedSecurity> validator() {
		return new org.isda.cdm.validation.MortgageBackedSecurityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MortgageBackedSecurity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MortgageBackedSecurityOnlyExistsValidator();
	}
}
