package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MultipleCreditNotations;
import org.isda.cdm.QuantifierEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MultipleCreditNotations.class)
public class MultipleCreditNotationsMeta implements RosettaMetaData<MultipleCreditNotations> {

	@Override
	public List<Validator<? super MultipleCreditNotations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MultipleCreditNotations>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MultipleCreditNotations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MultipleCreditNotations> validator() {
		return new org.isda.cdm.validation.MultipleCreditNotationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MultipleCreditNotations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MultipleCreditNotationsOnlyExistsValidator();
	}
}
