package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MultipleDebtTypes;
import org.isda.cdm.QuantifierEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MultipleDebtTypes.class)
public class MultipleDebtTypesMeta implements RosettaMetaData<MultipleDebtTypes> {

	@Override
	public List<Validator<? super MultipleDebtTypes>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MultipleDebtTypes>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MultipleDebtTypes, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MultipleDebtTypes> validator() {
		return new org.isda.cdm.validation.MultipleDebtTypesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MultipleDebtTypes, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MultipleDebtTypesOnlyExistsValidator();
	}
}
