package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MutualFund;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MutualFund.class)
public class MutualFundMeta implements RosettaMetaData<MutualFund> {

	@Override
	public List<Validator<? super MutualFund>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super MutualFund>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MutualFund, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MutualFund> validator() {
		return new org.isda.cdm.validation.MutualFundValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MutualFund, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MutualFundOnlyExistsValidator();
	}
}
