package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NaturalPerson;
import org.isda.cdm.NaturalPersonRole;
import org.isda.cdm.NaturalPersonRoleEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NaturalPersonRole.class)
public class NaturalPersonRoleMeta implements RosettaMetaData<NaturalPersonRole> {

	@Override
	public List<Validator<? super NaturalPersonRole>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NaturalPersonRole>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NaturalPersonRole, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NaturalPersonRole> validator() {
		return new org.isda.cdm.validation.NaturalPersonRoleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NaturalPersonRole, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NaturalPersonRoleOnlyExistsValidator();
	}
}
