package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Nm;
import org.isda.cdm.RefRate;
import org.isda.cdm.Term;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Nm.class)
public class NmMeta implements RosettaMetaData<Nm> {

	@Override
	public List<Validator<? super Nm>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Nm>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Nm, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Nm> validator() {
		return new org.isda.cdm.validation.NmValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Nm, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NmOnlyExistsValidator();
	}
}
