package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeAmountSchedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonNegativeAmountSchedule.class)
public class NonNegativeAmountScheduleMeta implements RosettaMetaData<NonNegativeAmountSchedule> {

	@Override
	public List<Validator<? super NonNegativeAmountSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NonNegativeAmountSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NonNegativeAmountSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonNegativeAmountSchedule> validator() {
		return new org.isda.cdm.validation.NonNegativeAmountScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonNegativeAmountSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonNegativeAmountScheduleOnlyExistsValidator();
	}
}
