package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeStep;
import org.isda.cdm.NonNegativeStepSchedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonNegativeStepSchedule.class)
public class NonNegativeStepScheduleMeta implements RosettaMetaData<NonNegativeStepSchedule> {

	@Override
	public List<Validator<? super NonNegativeStepSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NonNegativeStepSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NonNegativeStepSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonNegativeStepSchedule> validator() {
		return new org.isda.cdm.validation.NonNegativeStepScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonNegativeStepSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonNegativeStepScheduleOnlyExistsValidator();
	}
}
