package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NotDomesticCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NotDomesticCurrency.class)
public class NotDomesticCurrencyMeta implements RosettaMetaData<NotDomesticCurrency> {

	@Override
	public List<Validator<? super NotDomesticCurrency>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NotDomesticCurrency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NotDomesticCurrency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NotDomesticCurrency> validator() {
		return new org.isda.cdm.validation.NotDomesticCurrencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NotDomesticCurrency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NotDomesticCurrencyOnlyExistsValidator();
	}
}
