package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NotificationTime;
import org.isda.cdm.NotificationTimeElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NotificationTime.class)
public class NotificationTimeMeta implements RosettaMetaData<NotificationTime> {

	@Override
	public List<Validator<? super NotificationTime>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NotificationTime>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NotificationTime, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NotificationTime> validator() {
		return new org.isda.cdm.validation.NotificationTimeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NotificationTime, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NotificationTimeOnlyExistsValidator();
	}
}
