package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeAmountSchedule;
import org.isda.cdm.NotionalSchedule;
import org.isda.cdm.NotionalStepRule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NotionalSchedule.class)
public class NotionalScheduleMeta implements RosettaMetaData<NotionalSchedule> {

	@Override
	public List<Validator<? super NotionalSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NotionalSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NotionalSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NotionalSchedule> validator() {
		return new org.isda.cdm.validation.NotionalScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NotionalSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NotionalScheduleOnlyExistsValidator();
	}
}
