package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExerciseProcedure;
import org.isda.cdm.OptionExercise;
import org.isda.cdm.OptionSettlement;
import org.isda.cdm.OptionStrike;
import org.isda.cdm.OptionStyle;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionExercise.class)
public class OptionExerciseMeta implements RosettaMetaData<OptionExercise> {

	@Override
	public List<Validator<? super OptionExercise>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionExercise>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OptionExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionExercise> validator() {
		return new org.isda.cdm.validation.OptionExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionExerciseOnlyExistsValidator();
	}
}
