package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Asian;
import org.isda.cdm.Barrier;
import org.isda.cdm.FxFeature;
import org.isda.cdm.Knock;
import org.isda.cdm.OptionFeature;
import org.isda.cdm.PassThrough;
import org.isda.cdm.StrategyFeature;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionFeature.class)
public class OptionFeatureMeta implements RosettaMetaData<OptionFeature> {

	@Override
	public List<Validator<? super OptionFeature>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionFeature>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OptionFeature, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionFeature> validator() {
		return new org.isda.cdm.validation.OptionFeatureValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionFeature, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionFeatureOnlyExistsValidator();
	}
}
