package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EarlyTerminationEvent;
import org.isda.cdm.OptionalEarlyTerminationAdjustedDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionalEarlyTerminationAdjustedDates.class)
public class OptionalEarlyTerminationAdjustedDatesMeta implements RosettaMetaData<OptionalEarlyTerminationAdjustedDates> {

	@Override
	public List<Validator<? super OptionalEarlyTerminationAdjustedDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionalEarlyTerminationAdjustedDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OptionalEarlyTerminationAdjustedDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionalEarlyTerminationAdjustedDates> validator() {
		return new org.isda.cdm.validation.OptionalEarlyTerminationAdjustedDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionalEarlyTerminationAdjustedDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionalEarlyTerminationAdjustedDatesOnlyExistsValidator();
	}
}
