package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OtherAgreement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OtherAgreement.class)
public class OtherAgreementMeta implements RosettaMetaData<OtherAgreement> {

	@Override
	public List<Validator<? super OtherAgreement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OtherAgreement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OtherAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OtherAgreement> validator() {
		return new org.isda.cdm.validation.OtherAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OtherAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OtherAgreementOnlyExistsValidator();
	}
}
