package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OtherEligibleAndPostedSupport;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OtherEligibleAndPostedSupport.class)
public class OtherEligibleAndPostedSupportMeta implements RosettaMetaData<OtherEligibleAndPostedSupport> {

	@Override
	public List<Validator<? super OtherEligibleAndPostedSupport>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OtherEligibleAndPostedSupport>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OtherEligibleAndPostedSupport, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OtherEligibleAndPostedSupport> validator() {
		return new org.isda.cdm.validation.OtherEligibleAndPostedSupportValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OtherEligibleAndPostedSupport, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OtherEligibleAndPostedSupportOnlyExistsValidator();
	}
}
