package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PCDeliverableObligationCharac;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PCDeliverableObligationCharac.class)
public class PCDeliverableObligationCharacMeta implements RosettaMetaData<PCDeliverableObligationCharac> {

	@Override
	public List<Validator<? super PCDeliverableObligationCharac>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PCDeliverableObligationCharac>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PCDeliverableObligationCharac, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PCDeliverableObligationCharac> validator() {
		return new org.isda.cdm.validation.PCDeliverableObligationCharacValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PCDeliverableObligationCharac, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PCDeliverableObligationCharacOnlyExistsValidator();
	}
}
