package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.CategoryEnum;
import org.isda.cdm.NaturalPersonRole;
import org.isda.cdm.Party;
import org.isda.cdm.PartyContractInformation;
import org.isda.cdm.RelatedParty;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartyContractInformation.class)
public class PartyContractInformationMeta implements RosettaMetaData<PartyContractInformation> {

	@Override
	public List<Validator<? super PartyContractInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartyContractInformation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PartyContractInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartyContractInformation> validator() {
		return new org.isda.cdm.validation.PartyContractInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartyContractInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyContractInformationOnlyExistsValidator();
	}
}
