package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.NaturalPerson;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Party.class)
public class PartyMeta implements RosettaMetaData<Party> {

	@Override
	public List<Validator<? super Party>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Party>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Party, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Party> validator() {
		return new org.isda.cdm.validation.PartyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Party, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyOnlyExistsValidator();
	}
}
