package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PartyTerminationCurrency;
import org.isda.cdm.TerminationCurrencyElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartyTerminationCurrency.class)
public class PartyTerminationCurrencyMeta implements RosettaMetaData<PartyTerminationCurrency> {

	@Override
	public List<Validator<? super PartyTerminationCurrency>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartyTerminationCurrency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PartyTerminationCurrency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartyTerminationCurrency> validator() {
		return new org.isda.cdm.validation.PartyTerminationCurrencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartyTerminationCurrency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyTerminationCurrencyOnlyExistsValidator();
	}
}
