package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PassThrough;
import org.isda.cdm.PassThroughItem;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PassThrough.class)
public class PassThroughMeta implements RosettaMetaData<PassThrough> {

	@Override
	public List<Validator<? super PassThrough>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PassThrough>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PassThrough, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PassThrough> validator() {
		return new org.isda.cdm.validation.PassThroughValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PassThrough, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PassThroughOnlyExistsValidator();
	}
}
