package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.Money;
import org.isda.cdm.PaymentDetail;
import org.isda.cdm.PaymentRule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PaymentDetail.class)
public class PaymentDetailMeta implements RosettaMetaData<PaymentDetail> {

	@Override
	public List<Validator<? super PaymentDetail>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PaymentDetail>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PaymentDetail, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PaymentDetail> validator() {
		return new org.isda.cdm.validation.PaymentDetailValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PaymentDetail, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PaymentDetailOnlyExistsValidator();
	}
}
