package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PaymentRule;
import org.isda.cdm.PercentageRule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PaymentRule.class)
public class PaymentRuleMeta implements RosettaMetaData<PaymentRule> {

	@Override
	public List<Validator<? super PaymentRule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PaymentRule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PaymentRule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PaymentRule> validator() {
		return new org.isda.cdm.validation.PaymentRuleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PaymentRule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PaymentRuleOnlyExistsValidator();
	}
}
