package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.PercentageRule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PercentageRule.class)
public class PercentageRuleMeta implements RosettaMetaData<PercentageRule> {

	@Override
	public List<Validator<? super PercentageRule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PercentageRule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PercentageRule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PercentageRule> validator() {
		return new org.isda.cdm.validation.PercentageRuleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PercentageRule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PercentageRuleOnlyExistsValidator();
	}
}
