package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DeliverableObligations;
import org.isda.cdm.PhysicalSettlementPeriod;
import org.isda.cdm.PhysicalSettlementTerms;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PhysicalSettlementTerms.class)
public class PhysicalSettlementTermsMeta implements RosettaMetaData<PhysicalSettlementTerms> {

	@Override
	public List<Validator<? super PhysicalSettlementTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PhysicalSettlementTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PhysicalSettlementTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PhysicalSettlementTerms> validator() {
		return new org.isda.cdm.validation.PhysicalSettlementTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PhysicalSettlementTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PhysicalSettlementTermsOnlyExistsValidator();
	}
}
