package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PledgorPostingObligations;
import org.isda.cdm.PostingObligationsElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PledgorPostingObligations.class)
public class PledgorPostingObligationsMeta implements RosettaMetaData<PledgorPostingObligations> {

	@Override
	public List<Validator<? super PledgorPostingObligations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PledgorPostingObligations>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PledgorPostingObligations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PledgorPostingObligations> validator() {
		return new org.isda.cdm.validation.PledgorPostingObligationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PledgorPostingObligations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PledgorPostingObligationsOnlyExistsValidator();
	}
}
