package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AggregationParameters;
import org.isda.cdm.Portfolio;
import org.isda.cdm.PortfolioState;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Portfolio.class)
public class PortfolioMeta implements RosettaMetaData<Portfolio> {

	@Override
	public List<Validator<? super Portfolio>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Portfolio>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Portfolio, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Portfolio> validator() {
		return new org.isda.cdm.validation.PortfolioValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Portfolio, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PortfolioOnlyExistsValidator();
	}
}
