package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditLimitInformation;
import org.isda.cdm.PostInceptionState;
import org.isda.cdm.TradeWarehouseWorkflow;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PostInceptionState.class)
public class PostInceptionStateMeta implements RosettaMetaData<PostInceptionState> {

	@Override
	public List<Validator<? super PostInceptionState>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PostInceptionState>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PostInceptionState, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PostInceptionState> validator() {
		return new org.isda.cdm.validation.PostInceptionStateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PostInceptionState, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PostInceptionStateOnlyExistsValidator();
	}
}
