package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Pric;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Pric.class)
public class PricMeta implements RosettaMetaData<Pric> {

	@Override
	public List<Validator<? super Pric>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Pric>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Pric, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Pric> validator() {
		return new org.isda.cdm.validation.PricValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Pric, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PricOnlyExistsValidator();
	}
}
