package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EquityValuation;
import org.isda.cdm.Price;
import org.isda.cdm.PriceReturnTerms;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PriceReturnTerms.class)
public class PriceReturnTermsMeta implements RosettaMetaData<PriceReturnTerms> {

	@Override
	public List<Validator<? super PriceReturnTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PriceReturnTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PriceReturnTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PriceReturnTerms> validator() {
		return new org.isda.cdm.validation.PriceReturnTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PriceReturnTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PriceReturnTermsOnlyExistsValidator();
	}
}
