package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.PrincipalExchange;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PrincipalExchange.class)
public class PrincipalExchangeMeta implements RosettaMetaData<PrincipalExchange> {

	@Override
	public List<Validator<? super PrincipalExchange>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PrincipalExchange>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PrincipalExchange, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PrincipalExchange> validator() {
		return new org.isda.cdm.validation.PrincipalExchangeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PrincipalExchange, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PrincipalExchangeOnlyExistsValidator();
	}
}
