package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PrincipalExchanges;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PrincipalExchanges.class)
public class PrincipalExchangesMeta implements RosettaMetaData<PrincipalExchanges> {

	@Override
	public List<Validator<? super PrincipalExchanges>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PrincipalExchanges>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PrincipalExchanges, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PrincipalExchanges> validator() {
		return new org.isda.cdm.validation.PrincipalExchangesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PrincipalExchanges, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PrincipalExchangesOnlyExistsValidator();
	}
}
