package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssetClassEnum;
import org.isda.cdm.ProductIdentification;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ProductIdentification.class)
public class ProductIdentificationMeta implements RosettaMetaData<ProductIdentification> {

	@Override
	public List<Validator<? super ProductIdentification>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ProductIdentification>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ProductIdentification, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ProductIdentification> validator() {
		return new org.isda.cdm.validation.ProductIdentificationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ProductIdentification, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ProductIdentificationOnlyExistsValidator();
	}
}
