package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Qty;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Qty.class)
public class QtyMeta implements RosettaMetaData<Qty> {

	@Override
	public List<Validator<? super Qty>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Qty>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Qty, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Qty> validator() {
		return new org.isda.cdm.validation.QtyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Qty, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.QtyOnlyExistsValidator();
	}
}
