package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EquityValuation;
import org.isda.cdm.FxLinkedNotionalSchedule;
import org.isda.cdm.QuantityMultiplier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=QuantityMultiplier.class)
public class QuantityMultiplierMeta implements RosettaMetaData<QuantityMultiplier> {

	@Override
	public List<Validator<? super QuantityMultiplier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super QuantityMultiplier>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super QuantityMultiplier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super QuantityMultiplier> validator() {
		return new org.isda.cdm.validation.QuantityMultiplierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super QuantityMultiplier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.QuantityMultiplierOnlyExistsValidator();
	}
}
