package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeQuantity;
import org.isda.cdm.QuantityNotation;
import org.isda.cdm.QuantityNotationEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=QuantityNotation.class)
public class QuantityNotationMeta implements RosettaMetaData<QuantityNotation> {

	@Override
	public List<Validator<? super QuantityNotation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super QuantityNotation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super QuantityNotation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super QuantityNotation> validator() {
		return new org.isda.cdm.validation.QuantityNotationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super QuantityNotation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.QuantityNotationOnlyExistsValidator();
	}
}
