package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.QuotedCurrencyPair;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=QuotedCurrencyPair.class)
public class QuotedCurrencyPairMeta implements RosettaMetaData<QuotedCurrencyPair> {

	@Override
	public List<Validator<? super QuotedCurrencyPair>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super QuotedCurrencyPair>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super QuotedCurrencyPair, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super QuotedCurrencyPair> validator() {
		return new org.isda.cdm.validation.QuotedCurrencyPairValidator();
	}
	
	@Override
	public ValidatorWithArg<? super QuotedCurrencyPair, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.QuotedCurrencyPairOnlyExistsValidator();
	}
}
