package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalTypeEnum;
import org.isda.cdm.RegimeTerms;
import org.isda.cdm.SimmException;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RegimeTerms.class)
public class RegimeTermsMeta implements RosettaMetaData<RegimeTerms> {

	@Override
	public List<Validator<? super RegimeTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RegimeTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RegimeTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RegimeTerms> validator() {
		return new org.isda.cdm.validation.RegimeTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RegimeTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RegimeTermsOnlyExistsValidator();
	}
}
