package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondEquityModel;
import org.isda.cdm.RelativePrice;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RelativePrice.class)
public class RelativePriceMeta implements RosettaMetaData<RelativePrice> {

	@Override
	public List<Validator<? super RelativePrice>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RelativePrice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RelativePrice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RelativePrice> validator() {
		return new org.isda.cdm.validation.RelativePriceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RelativePrice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RelativePriceOnlyExistsValidator();
	}
}
