package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Representations;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Representations.class)
public class RepresentationsMeta implements RosettaMetaData<Representations> {

	@Override
	public List<Validator<? super Representations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Representations>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Representations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Representations> validator() {
		return new org.isda.cdm.validation.RepresentationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Representations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RepresentationsOnlyExistsValidator();
	}
}
