package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ResetFrequency;
import org.isda.cdm.WeeklyRollConventionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ResetFrequency.class)
public class ResetFrequencyMeta implements RosettaMetaData<ResetFrequency> {

	@Override
	public List<Validator<? super ResetFrequency>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd49DataRule()
		);
	}

	@Override
	public List<Validator<? super ResetFrequency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ResetFrequency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ResetFrequency> validator() {
		return new org.isda.cdm.validation.ResetFrequencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ResetFrequency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ResetFrequencyOnlyExistsValidator();
	}
}
