package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Restructuring;
import org.isda.cdm.RestructuringEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Restructuring.class)
public class RestructuringMeta implements RosettaMetaData<Restructuring> {

	@Override
	public List<Validator<? super Restructuring>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Restructuring>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Restructuring, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Restructuring> validator() {
		return new org.isda.cdm.validation.RestructuringValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Restructuring, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RestructuringOnlyExistsValidator();
	}
}
