package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Rounding;
import org.isda.cdm.RoundingDirectionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Rounding.class)
public class RoundingMeta implements RosettaMetaData<Rounding> {

	@Override
	public List<Validator<? super Rounding>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Rounding>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Rounding, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Rounding> validator() {
		return new org.isda.cdm.validation.RoundingValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Rounding, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RoundingOnlyExistsValidator();
	}
}
