package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SchmeNm;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SchmeNm.class)
public class SchmeNmMeta implements RosettaMetaData<SchmeNm> {

	@Override
	public List<Validator<? super SchmeNm>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SchmeNm>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SchmeNm, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SchmeNm> validator() {
		return new org.isda.cdm.validation.SchmeNmValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SchmeNm, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SchmeNmOnlyExistsValidator();
	}
}
