package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InitialMargin;
import org.isda.cdm.RepoDurationEnum;
import org.isda.cdm.SecurityLeg;
import org.isda.cdm.SecurityPayout;
import org.isda.cdm.SecurityValuation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SecurityPayout.class)
public class SecurityPayoutMeta implements RosettaMetaData<SecurityPayout> {

	@Override
	public List<Validator<? super SecurityPayout>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SecurityPayout>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SecurityPayout, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SecurityPayout> validator() {
		return new org.isda.cdm.validation.SecurityPayoutValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SecurityPayout, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityPayoutOnlyExistsValidator();
	}
}
