package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Security;
import org.isda.cdm.SecurityTransferBreakdown;
import org.isda.cdm.TransferorTransferee;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SecurityTransferBreakdown.class)
public class SecurityTransferBreakdownMeta implements RosettaMetaData<SecurityTransferBreakdown> {

	@Override
	public List<Validator<? super SecurityTransferBreakdown>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SecurityTransferBreakdown>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SecurityTransferBreakdown, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SecurityTransferBreakdown> validator() {
		return new org.isda.cdm.validation.SecurityTransferBreakdownValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SecurityTransferBreakdown, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityTransferBreakdownOnlyExistsValidator();
	}
}
