package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SettledEntityMatrix;
import org.isda.cdm.SettledEntityMatrixSourceEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SettledEntityMatrix.class)
public class SettledEntityMatrixMeta implements RosettaMetaData<SettledEntityMatrix> {

	@Override
	public List<Validator<? super SettledEntityMatrix>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SettledEntityMatrix>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SettledEntityMatrix, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SettledEntityMatrix> validator() {
		return new org.isda.cdm.validation.SettledEntityMatrixValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SettledEntityMatrix, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SettledEntityMatrixOnlyExistsValidator();
	}
}
