package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SettlementBase;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SettlementBase.class)
public class SettlementBaseMeta implements RosettaMetaData<SettlementBase> {

	@Override
	public List<Validator<? super SettlementBase>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SettlementBase>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SettlementBase, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SettlementBase> validator() {
		return new org.isda.cdm.validation.SettlementBaseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SettlementBase, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SettlementBaseOnlyExistsValidator();
	}
}
