package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonDeliverableSettlement;
import org.isda.cdm.SettlementProvision;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SettlementProvision.class)
public class SettlementProvisionMeta implements RosettaMetaData<SettlementProvision> {

	@Override
	public List<Validator<? super SettlementProvision>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SettlementProvision>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SettlementProvision, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SettlementProvision> validator() {
		return new org.isda.cdm.validation.SettlementProvisionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SettlementProvision, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SettlementProvisionOnlyExistsValidator();
	}
}
