package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Indx;
import org.isda.cdm.Sngl;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Sngl.class)
public class SnglMeta implements RosettaMetaData<Sngl> {

	@Override
	public List<Validator<? super Sngl>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Sngl>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Sngl, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Sngl> validator() {
		return new org.isda.cdm.validation.SnglValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Sngl, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SnglOnlyExistsValidator();
	}
}
