package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SpecifiedCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SpecifiedCurrency.class)
public class SpecifiedCurrencyMeta implements RosettaMetaData<SpecifiedCurrency> {

	@Override
	public List<Validator<? super SpecifiedCurrency>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SpecifiedCurrency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SpecifiedCurrency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SpecifiedCurrency> validator() {
		return new org.isda.cdm.validation.SpecifiedCurrencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SpecifiedCurrency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SpecifiedCurrencyOnlyExistsValidator();
	}
}
