package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SpreadSchedule;
import org.isda.cdm.SpreadScheduleTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SpreadSchedule.class)
public class SpreadScheduleMeta implements RosettaMetaData<SpreadSchedule> {

	@Override
	public List<Validator<? super SpreadSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SpreadSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SpreadSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SpreadSchedule> validator() {
		return new org.isda.cdm.validation.SpreadScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SpreadSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SpreadScheduleOnlyExistsValidator();
	}
}
