package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PayerReceiverEnum;
import org.isda.cdm.Strike;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Strike.class)
public class StrikeMeta implements RosettaMetaData<Strike> {

	@Override
	public List<Validator<? super Strike>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Strike>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Strike, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Strike> validator() {
		return new org.isda.cdm.validation.StrikeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Strike, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StrikeOnlyExistsValidator();
	}
}
