package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodDates;
import org.isda.cdm.StubCalculationPeriodAmount;
import org.isda.cdm.StubValue;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=StubCalculationPeriodAmount.class)
public class StubCalculationPeriodAmountMeta implements RosettaMetaData<StubCalculationPeriodAmount> {

	@Override
	public List<Validator<? super StubCalculationPeriodAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super StubCalculationPeriodAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super StubCalculationPeriodAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super StubCalculationPeriodAmount> validator() {
		return new org.isda.cdm.validation.StubCalculationPeriodAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super StubCalculationPeriodAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StubCalculationPeriodAmountOnlyExistsValidator();
	}
}
