package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRateIndexEnum;
import org.isda.cdm.Period;
import org.isda.cdm.RateTreatmentEnum;
import org.isda.cdm.Schedule;
import org.isda.cdm.SpreadSchedule;
import org.isda.cdm.StrikeSchedule;
import org.isda.cdm.StubFloatingRate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=StubFloatingRate.class)
public class StubFloatingRateMeta implements RosettaMetaData<StubFloatingRate> {

	@Override
	public List<Validator<? super StubFloatingRate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super StubFloatingRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super StubFloatingRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super StubFloatingRate> validator() {
		return new org.isda.cdm.validation.StubFloatingRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super StubFloatingRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StubFloatingRateOnlyExistsValidator();
	}
}
