package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodDates;
import org.isda.cdm.StubPeriod;
import org.isda.cdm.StubValue;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=StubPeriod.class)
public class StubPeriodMeta implements RosettaMetaData<StubPeriod> {

	@Override
	public List<Validator<? super StubPeriod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super StubPeriod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super StubPeriod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super StubPeriod> validator() {
		return new org.isda.cdm.validation.StubPeriodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super StubPeriod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StubPeriodOnlyExistsValidator();
	}
}
