package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Substitution;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Substitution.class)
public class SubstitutionMeta implements RosettaMetaData<Substitution> {

	@Override
	public List<Validator<? super Substitution>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Substitution>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Substitution, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Substitution> validator() {
		return new org.isda.cdm.validation.SubstitutionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Substitution, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SubstitutionOnlyExistsValidator();
	}
}
