package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRateIndexEnum;
import org.isda.cdm.Period;
import org.isda.cdm.QuotationSideEnum;
import org.isda.cdm.SwapCurveValuation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SwapCurveValuation.class)
public class SwapCurveValuationMeta implements RosettaMetaData<SwapCurveValuation> {

	@Override
	public List<Validator<? super SwapCurveValuation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SwapCurveValuation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SwapCurveValuation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SwapCurveValuation> validator() {
		return new org.isda.cdm.validation.SwapCurveValuationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SwapCurveValuation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SwapCurveValuationOnlyExistsValidator();
	}
}
