package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Sngl;
import org.isda.cdm.SwpIn;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SwpIn.class)
public class SwpInMeta implements RosettaMetaData<SwpIn> {

	@Override
	public List<Validator<? super SwpIn>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SwpIn>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SwpIn, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SwpIn> validator() {
		return new org.isda.cdm.validation.SwpInValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SwpIn, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SwpInOnlyExistsValidator();
	}
}
