package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.TerminationCurrencyElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TerminationCurrencyElection.class)
public class TerminationCurrencyElectionMeta implements RosettaMetaData<TerminationCurrencyElection> {

	@Override
	public List<Validator<? super TerminationCurrencyElection>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TerminationCurrencyElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TerminationCurrencyElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TerminationCurrencyElection> validator() {
		return new org.isda.cdm.validation.TerminationCurrencyElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TerminationCurrencyElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TerminationCurrencyElectionOnlyExistsValidator();
	}
}
