package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.TermsChangePrimitive;
import org.isda.cdm.Trade;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TermsChangePrimitive.class)
public class TermsChangePrimitiveMeta implements RosettaMetaData<TermsChangePrimitive> {

	@Override
	public List<Validator<? super TermsChangePrimitive>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TermsChangePrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TermsChangePrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TermsChangePrimitive> validator() {
		return new org.isda.cdm.validation.TermsChangePrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TermsChangePrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TermsChangePrimitiveOnlyExistsValidator();
	}
}
