package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.time.LocalTime;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.TimeZone;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TimeZone.class)
public class TimeZoneMeta implements RosettaMetaData<TimeZone> {

	@Override
	public List<Validator<? super TimeZone>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TimeZone>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TimeZone, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TimeZone> validator() {
		return new org.isda.cdm.validation.TimeZoneValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TimeZone, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TimeZoneOnlyExistsValidator();
	}
}
