package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrAdjustedOrRelativeDate;
import org.isda.cdm.CashTransferComponent;
import org.isda.cdm.CommodityTransferComponent;
import org.isda.cdm.SecurityTransferComponent;
import org.isda.cdm.TransferPrimitive;
import org.isda.cdm.TransferSettlementEnum;
import org.isda.cdm.TransferStatusEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TransferPrimitive.class)
public class TransferPrimitiveMeta implements RosettaMetaData<TransferPrimitive> {

	@Override
	public List<Validator<? super TransferPrimitive>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TransferPrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TransferPrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TransferPrimitive> validator() {
		return new org.isda.cdm.validation.TransferPrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TransferPrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TransferPrimitiveOnlyExistsValidator();
	}
}
