package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Account;
import org.isda.cdm.Party;
import org.isda.cdm.TransferorTransferee;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TransferorTransferee.class)
public class TransferorTransfereeMeta implements RosettaMetaData<TransferorTransferee> {

	@Override
	public List<Validator<? super TransferorTransferee>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TransferorTransferee>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TransferorTransferee, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TransferorTransferee> validator() {
		return new org.isda.cdm.validation.TransferorTransfereeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TransferorTransferee, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TransferorTransfereeOnlyExistsValidator();
	}
}
