package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AveragingSchedule;
import org.isda.cdm.DateList;
import org.isda.cdm.FeaturePayment;
import org.isda.cdm.Trigger;
import org.isda.cdm.TriggerEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TriggerEvent.class)
public class TriggerEventMeta implements RosettaMetaData<TriggerEvent> {

	@Override
	public List<Validator<? super TriggerEvent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super TriggerEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TriggerEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TriggerEvent> validator() {
		return new org.isda.cdm.validation.TriggerEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TriggerEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TriggerEventOnlyExistsValidator();
	}
}
