package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.UmbrellaAgreementEntity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=UmbrellaAgreementEntity.class)
public class UmbrellaAgreementEntityMeta implements RosettaMetaData<UmbrellaAgreementEntity> {

	@Override
	public List<Validator<? super UmbrellaAgreementEntity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super UmbrellaAgreementEntity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super UmbrellaAgreementEntity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super UmbrellaAgreementEntity> validator() {
		return new org.isda.cdm.validation.UmbrellaAgreementEntityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super UmbrellaAgreementEntity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.UmbrellaAgreementEntityOnlyExistsValidator();
	}
}
