package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.UmbrellaAgreement;
import org.isda.cdm.UmbrellaAgreementEntity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=UmbrellaAgreement.class)
public class UmbrellaAgreementMeta implements RosettaMetaData<UmbrellaAgreement> {

	@Override
	public List<Validator<? super UmbrellaAgreement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super UmbrellaAgreement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super UmbrellaAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super UmbrellaAgreement> validator() {
		return new org.isda.cdm.validation.UmbrellaAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super UmbrellaAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.UmbrellaAgreementOnlyExistsValidator();
	}
}
