package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Warrant;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Warrant.class)
public class WarrantMeta implements RosettaMetaData<Warrant> {

	@Override
	public List<Validator<? super Warrant>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Warrant>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Warrant, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Warrant> validator() {
		return new org.isda.cdm.validation.WarrantValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Warrant, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.WarrantOnlyExistsValidator();
	}
}
